#
# spec file for package yast2-installation (Version 2.13.192)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libgssapi libicu libidn libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel libxslt liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-country yast2-devtools yast2-hardware-detection yast2-perl-bindings yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-installation
Version:        2.13.192
Release:        0.4
License:        GNU General Public License (GPL)
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-installation-2.13.192.tar.bz2
prefix:		/usr
BuildRequires:  docbook-style-xsl doxygen libxslt perl-XML-Writer sgml-common update-desktop-files yast2 yast2-core-devel yast2-country yast2-devtools yast2-testsuite suse-macros autoconf automake libtool gettext-devel
#Requires:       yast2-slp yast2-firewall
#Requires:       yast2-update
#Requires:       yast2-storage yast2-mouse yast2-bootloader
# SourceManager::InstallationSourceOnPartition 2.13.159, bugzilla #208222
#Requires:       yast2-packager >= 2.13.159
# extra sources in ResolvableProperties()
Requires:       yast2-pkg-bindings >= 2.13.101
# ProductControl::Run returning `abort (FATE #300422)
Requires:       yast2 >= 2.13.85
# Languages:GetLanguagesMap, bugzilla #204791
Requires:       yast2-country >= 2.13.35
Requires:       yast2-network yast2-users
Requires:       curl 
#Requires:	release-notes
#Requires:       autoyast2-installation yast2-online-update
# unzipping license file
Requires:       unzip
# tar-gzip some system files and untar-ungzip them after the installation (FATE #300421, #120103)
Requires:       tar gzip
# for the first/second stage of installation
# currently not used
# bugzilla #208307
#Requires:	/usr/bin/jpegtopnm
#Requires:	/usr/bin/pnmtopng
# SCR::RegisterNewAgents, bugzilla #245508
Conflicts:      yast2-core < 2.13.37
#Recommends:	yast2-registration
#PreReq:         %fillup_prereq
Provides:       yast
Obsoletes:      yast
Provides:       yast2-trans-inst-proposal y2t_inst
Obsoletes:      yast2-trans-inst-proposal y2t_inst
Provides:       yast2-trans-inst-general y2t_inst-general
Obsoletes:      yast2-trans-inst-general y2t_inst-general
Provides:       yast2-instsys
Obsoletes:      yast2-instsys
BuildArchitectures: noarch
Summary:        YaST2 - Installation Parts

%description
System installation code as present on installation media.



Authors:
--------
    Stefan Hundhammer <sh@suse.de>
    Klaus Kaempf <kkaempf@suse.de>
    Arvin Schnell <arvin@suse.de>

%prep
%setup -n yast2-installation-2.13.192

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%pre

%files
%defattr(-,root,root)
%doc %{prefix}/share/doc/packages/yast2-installation
%dir /usr/share/YaST2/control
/usr/share/YaST2/control/*.xml
/usr/share/YaST2/control/*.dtd
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/modules/*.ycp
/usr/share/YaST2/modules/*.ybc
%{prefix}/share/applications/YaST2/*.desktop
/usr/share/YaST2/schema/autoyast/rnc/add-on.rnc
%dir /usr/share/YaST2/include/installation
/usr/share/YaST2/include/installation/*
# agents
/usr/share/YaST2/scrconf/etc_passwd.scr
/usr/share/YaST2/scrconf/proc_mounts.scr
/usr/share/YaST2/scrconf/cfg_windowmanager.scr
/usr/share/YaST2/scrconf/cfg_fam.scr
/usr/share/YaST2/scrconf/etc_install_inf.scr
/usr/share/YaST2/scrconf/etc_install_inf_alias.scr
/usr/share/YaST2/scrconf/etc_install_inf_options.scr
/usr/share/YaST2/scrconf/run_get_suseconfig_modules.scr
/usr/share/YaST2/scrconf/proc_modules.scr
/usr/share/YaST2/scrconf/run_df.scr
# fillup
/var/adm/fillup-templates/sysconfig.security-checksig
# programs and scripts
%{prefix}/lib/YaST2/startup
# fvwmrc
%if 0%{?suse_version} <= 1010
%{prefix}/X11R6/share/fvwm/
%else
%{prefix}/share/fvwm/
%endif

%changelog
* Mon Jan 07 2008 - pearly.zhao@oracle.com
- Port to EL5.
* Mon May 14 2007 - jsrain@suse.cz
- Fixed Add-Ons in AutoYaST Write function to Integrate all Add-Ons
  via AddOnProduct::Integrate (#260613).
- 2.13.192
* Tue Mar 27 2007 - ms@suse.de
- fixed X11 preparation by checking /etc/reconfig_system (#252763)
* Tue Mar 13 2007 - locilka@suse.cz
- Redraw Wizard steps when Add-Ons are changed in the installation
  proposal. This change allows to reflect the current workflow look
  just after the workflow change is made (#254035).
- 2.13.190
* Tue Mar 06 2007 - kmachalkova@suse.cz
- Do not export LINES and COLUMNS variables, so that terminal
  resize event is handled correctly (#184179)
- 2.13.189
* Wed Feb 28 2007 - jsrain@suse.cz
- added more logging to umount_finish (#247594)
- 2.13.188
* Fri Feb 23 2007 - locilka@suse.cz
- Fixed registering new agents when y2update is part of the Add-On
  media (#245508) also for mode "update" and "autoinstallation"
  by using Stage::initial only (#247892).
- 2.13.187
* Wed Feb 21 2007 - locilka@suse.cz
- Added documentation for silently_downgrade_packages and
  keep_installed_patches control file entries (plus their reverse
  lists) (FATE #301990, Bugzilla #238488).
* Mon Feb 19 2007 - locilka@suse.cz
- More concrete fix of bug #160301: Displaying information about
  how to continue the second stage installation if SSH is the only
  installation method. This informational pop-up has disabled
  time-out (#245742).
- 2.13.186
* Fri Feb 16 2007 - locilka@suse.cz
- Registering new agents when y2update is part of the Add-On media,
  some agents might have been added (#245508).
- 2.13.185
* Thu Feb 15 2007 - locilka@suse.cz
- New entries silently_downgrade_packages, plus reverse list, and
  keep_installed_patches, plus reverse list, were added into SLES
  and SLED control files (FATE #301990, Bugzilla #238488).
- 2.13.184
* Tue Feb 06 2007 - locilka@suse.cz
- Hide &product; in inst_suseconfig call to remove dependency on
  Product.ycp and not to be so ugly (#241553).
- 2.13.183
* Mon Feb 05 2007 - locilka@suse.cz
- Store Add-Ons at the end of first stage installation and restore
  them before AutoYaST cloning at the end of the second stage
  installation (bugzilla #187558).
- 2.13.182
* Thu Feb 01 2007 - locilka@suse.cz
- When an Add-On product is added and removed later, correctly
  remove also cached control file of that Add-On (#238307).
- 2.13.181
* Wed Jan 31 2007 - locilka@suse.cz
- Rereading all SCR Agents in case of installation workflow changed
  by Add-On product (#239055).
- Calling PackageLock::Check before Pkg calls (#238556).
* Sun Jan 28 2007 - locilka@suse.cz
- Removed tv and bluetooth hardware proposals from SLES control
  file. There are no such modules in that product (#238759).
* Mon Jan 22 2007 - locilka@suse.cz
- Correct handling of CD/DVD Add-Ons in installation (#237264).
- Fixed switching between Installation Settings tabs in case of
  error in proposal. Every time, only the more-detailed tab is
  selected (#237291).
- Appropriate buttons for Add-Ons dialog for both dialog in
  installation workflow and installation proposal (#237297).
- 2.13.180
* Fri Jan 19 2007 - locilka@suse.cz
- Fixed cancelling of entering a new Add-On (#236315).
- Added zFCP and DASD to installation/update proposal on S/390
  (jsrain) (#160399)
- 2.13.179
* Wed Jan 17 2007 - locilka@suse.cz
- Changed control file documentation for Flexible Partitioning
  (bugzilla #229651 comment #15).
- Changed option <clone_module> "lan" to "networking" (#235457).
- 2.13.178
* Fri Jan 12 2007 - ms@suse.de
- fixed TERM type setup in case of ssh based installations.
  if the installation is ssh based, TERM is not allowed to
  be overwritten by the value of install.inf. The TERM value
  of install.inf points to the console and not to the remote
  terminal type (#234032)
* Fri Jan 12 2007 - jdsn@suse.de
- control file variable for monthly suse_register run (F#301822)
- 2.13.176
* Fri Jan 12 2007 - jdsn@suse.de
- enabled "force registration" checkbox for SLE (#233659)(F#301273)
- 2.13.175
* Thu Jan 11 2007 - locilka@suse.cz
- Changed SLD and SLE control files to reflect demands described in
  bugzilla bug #233156:
  * Old packages are removed by default, only for upgrading from
  SLD 10 or SLE 10, packages are not removed by default.
  * New packages are selected for installation by default, only for
  upgrading from SLD 10 or SLE 10, packages are only updated.
  * Upgrading to new SLE 10 from is only supported from SLES9 and
  SLE 10, upgrading from another product will display warning.
* Thu Jan 04 2007 - locilka@suse.cz
- Added documentation for new features in control file:
  * boolean delete_old_packages and list of products for which this
  rule is inverted.
  * boolean only_update_selected and list of products for which
  this rule is inverted.
  * list of products supported for upgrade
  (All described in FATE #301844)
- 2.13.174
* Tue Jan 02 2007 - locilka@suse.cz
- Allowing to add the very same product that has been already
  installed or selected for installation in case the url is
  different than any of the current urls. There can be more sources
  for the product because product urls can be removed and added
  also by inst_source module (#227605).
- 2.13.173
* Mon Dec 11 2006 - locilka@suse.cz
- Handling new flag REGISTERPRODUCT from add-on product content
  file. This flag demands running the registration client after
  an add-on product is installed (on a running system) and demands
  running the registration client even if it is disabled in
  the base-product's control file (during installation)
  (FATE #301312).
- 2.13.172
* Thu Dec 07 2006 - locilka@suse.cz
- Reworked adding and removing Add-Ons during the first stage
  installation. If some Add-Ons are added or removed, the entire
  workflow is created from scratch (#221377).
- Using a separate temporary directory for Add-On licenses not to
  be confused by the previous Add-On.
- Fixed Second Stage Installation script to handle rebooting
  after kernel-patch correctly (#224251).
- Fixed Add-On handling when cancelling adding an Add-On product,
  before that return value from the previous adding was evaluated.
- 2.13.171
* Wed Dec 06 2006 - ms@suse.de
- fixed call of initvicons, deactivate s390 exception (#192052)
* Mon Dec 04 2006 - locilka@suse.cz
- Adding root_password_ca_check item into the globals of control
  file set to true for SLES and false otherwise (FATE #300438).
* Mon Nov 20 2006 - locilka@suse.cz
- Show update-confirmation dialog in Mode::update() only (#221571).
- Pressing [Abort] button in the Add-On dialog during installation
  now opens-up a correct pop-up dialog with correct text (#218677).
- Wider list of extra-sources 56->76 characters (#221984).
- Adding modules listed in Linuxrc entry brokenmodules into the
  /etc/modprobe.d/blacklist file (#221815).
- 2.13.170
* Wed Nov 15 2006 - locilka@suse.cz
- Defining the minimal size for release_notes pop-up to have the
  minimal size 76x22 or 3/4x2/3 in text mode and 100x30 in graphic
  mode (#221222).
- 2.13.169
* Wed Nov 15 2006 - locilka@suse.cz
- Restoring the [ Next ] button in the inst_congratlate client when
  the [ Back ] button is pressed (#221190).
* Thu Nov 09 2006 - locilka@suse.cz
- Always run the fonts_finish's Write() function. Skip running
  "SuSEconfig --module fonts" if script SuSEconfig.fonts does not
  exist (#216079).
- 2.13.168
* Thu Nov 09 2006 - locilka@suse.cz
- Added confirmation dialog into the update workflow on the running
  system before the update really proceeds (#219097).
- confirmInstallation function moved from inst_doit to misc to make
  confirmation dialog possible (#219097).
- Set Product Name only when any Product Name found (#218720).
- 2.13.167
* Fri Nov 03 2006 - locilka@suse.cz
- Changed text of question asking whether the second stage
  installation should start again (FATE #300422) in case of
  previous failure or user-abort (#215697).
- 2.13.166
* Wed Nov 01 2006 - locilka@suse.cz
- "Installation->Other->Boot Installed System->Cancel" now doesn't
  abort the installation but returns to the Installation Mode
  dialog (#216887).
- Correct handling of pressing Cancel or Abort buttons in pop-up
  windows in Add-On installation (#216910).
* Mon Oct 30 2006 - lslezak@suse.cz
- updated inst_extrasources client to not download files from the
  installation sources (#213031)
- requires yast2-pkg-bindings >= 2.13.101
- 2.13.165
* Mon Oct 30 2006 - locilka@suse.cz
- Moving ProductFeatures::Save() from inst_kickoff client to
  save_config_finish - client that is called after the SCR is
  switched to the running system (#209119).
- Calling Storage::RemoveDmMapsTo (device) in after the disks are
  probed in inst_system_analysis (#208222).
- Fixed including packager.
* Thu Oct 26 2006 - locilka@suse.cz
- Enabling back button in the License Agreement dialog (#215236).
- Adding add-on.rnc for AutoYaST profile validation (#215248).
- Providing an easier switch to disable IPv6 by a new ipv6 client
  in the network proposal (FATE #300604) (mzugec).
- 2.13.164
* Thu Oct 26 2006 - locilka@suse.cz
- Adding more debugging messages in order to fix random crashing
  of the second stage installation (#214886).
* Mon Oct 23 2006 - locilka@suse.cz
- Adding add-on client to list of clients that are enabled for
  AutoYaST cloning (bugzilla #198927).
- Added summary of the Release Notes client for the Control Center
  (bugzilla #213878).
- 2.13.163
* Wed Oct 18 2006 - locilka@suse.cz
- Added a life-belt into the second stage installation. It can be
  restarted under these circumstances:
  1.) User aborts the installation
  2.) Installation process is killed during the installation
  3.) Computer is restarted during the installation (reset)
  The very next time the system is restarted. YaST starts and
  informs user that the previous installation was aborted/failed.
  Then users are asked whether they want to rerun the second stage
  installation (FATE #300422).
- Fixed setting own Y2MAXLOGSIZE up in order to save memory
  requirements during the first stage installation.
- 2.13.162
* Mon Oct 16 2006 - locilka@suse.cz
- Timeout license in AutoYaST after 2 seconds (#206706).
  This solution doesn't break ncurses.
- 2.13.161
* Mon Oct 16 2006 - fehr@suse.de
- added new configurable values for LVM/EVMS based proposals
  (feature 300169)
* Thu Oct 12 2006 - locilka@suse.cz
- Handle Installation::destdir in *.bash properly (#211576).
- 2.13.160
* Mon Oct 09 2006 - locilka@suse.cz
- Remove old eula.txt and then copy new one if exists (#208908).
- Using the fullscreen mode again, background images temporarily
  removed from the RPM build (#208307).
- The default "Other Option" is Repair, not Boot (#208841).
- Removed some unneeded imports from inst_clients.
- 2.13.159
* Mon Oct 02 2006 - locilka@suse.cz
- Merged proofread texts
- 2.13.158
* Mon Oct 02 2006 - lslezak@suse.cz
- inst_extrasources.ycp - fixed name of the text domain
- 2.13.157
* Wed Sep 27 2006 - lslezak@suse.cz
- new inst_extrasources.ycp client - add extra installation sources
  during installation (in 2nd stage, after online update)
  (fate #100168, #300910)
- 2.13.156
* Wed Sep 27 2006 - locilka@suse.cz
- YCP modules that originated at yast2-packager were moved back.
- Usage of dgettext replaced with standard gettext strings.
- Removed yast2-slp and yast2-firewall from build-requirements.
- 2.13.155
* Mon Sep 25 2006 - locilka@suse.cz
- New icon for Hardware Proposal.
- Root Password dialog moved before Hostname and Domain Name
  (#208032).
* Mon Sep 25 2006 - locilka@suse.cz
- A bit rewritten code for language selected for second stage of
  update (FATE #300572). Mode::Set is now called before Mode::Get.
- New installation images from jimmac (#203510).
- Timeout and accept the license dialog when installing using
  AutoYaST. By defualt, it's 8 seconds (#206706).
- New busy message when finishing the installation (closing
  sources, etc.).
- 2.13.154
* Mon Sep 25 2006 - jsrain@suse.cz
- check properly for existing files in /proc (#205408)
* Fri Sep 22 2006 - jsuchome@suse.cz
- Remember the selected language for update and use it also in the
  second stage (FATE #300572).
- 2.13.153
* Fri Sep 22 2006 - lslezak@suse.cz
- x11_finish.ycp - removed workaround for #201121
* Fri Sep 22 2006 - locilka@suse.cz
- Fixed starting Installation in window: Exception for PPC, 832x624
  still runs in fullscreen. Fixed using a fallback image when
  the current resolution is not supported (#207321).
- Fixed counting offset for installation in window. Exceptions are
  now handled correctly (#207310).
- Changed fallback background image - a pure black suits better.
- Visual speeding-up initializing the installation - adding
  a wrapper installation.ycp around installation_worker.ycp client
  to provide UI ASAP.
* Thu Sep 21 2006 - ms@suse.de
- added patch from Olaf Hering to remove the DefaultColorDepth
  for special fb devices which are not VESA VGA (#207338)
* Tue Sep 19 2006 - locilka@suse.cz
- Removed Installation background 1600x800 px.
- Added installation background 1280x800 px.
* Mon Sep 18 2006 - locilka@suse.cz
- Icon for release notes (inst_release_notes).
- List of available SLP sources based on Product Name (SLP label),
  also with filter when more than 15 sources are listed
  (FATE #300619).
- Added background images for installation (thanks to jimmac)
  [1024x768, 1280x1024, 1400x1050, 1600x800, 1600x1200] (Bugzilla
  [#203510]).
- Replacing "Product %%1" with "%%1" for list of selected Add-On
  products - the column is already called "Product".
- 2.13.152
* Thu Sep 14 2006 - locilka@suse.cz
- Finally! Corrected path for importing user-related data to the
  just installed system (FATE #120103, comments #17, #18).
* Thu Sep 14 2006 - ro@suse.de
- added yast2-core-devel to BuildRequires
* Wed Sep 13 2006 - locilka@suse.cz
- Calling languages.ycp client has been changed to a function call
  Language::GetLanguagesMap (#204791).
- Added new Requirement: yast2-country >= 2.13.35
- Calling copy_systemfiles_finish from inst_finish (FATE #300421).
- New icon for Finishing Basic Installation dialog.
- Calling new pre_umount_finish client before umount_finish,
  umount_finish closes SCR (#205389).
- Correctly quote files that are added into the temporary archive
  (FATE #300421).
- Removing the leading slashes from filenames when archiving them.
- Reporting error (into log) if save_hw_status_finish.ycp goes
  wrong (partly fixed #205408).
- 2.13.151
* Tue Sep 12 2006 - locilka@suse.cz
- Found a better place for calling 'inst_pre_install' client, by
  now it is really called...
- Enhanced logging.
- Disabling the License Language combo-box in case of less than
  two languages in it (#203543).
* Tue Sep 12 2006 - locilka@suse.cz
- Fixed displaying license: Language name should always be either
  shown or the license is disabled as invalid; If there are both
  license.en.txt and license.txt, one of them is hidden because
  they have the very same content; An installation language is also
  pre-selected as a language for a license (if such exists).
- Fixed initializing the known languages via WFM::call("languages")
  (#204791).
- Another icon for Installation Mode dialog, it was the same as for
  Initialization and Analyzing the Computer dialogs.
- 2.13.150
* Mon Sep 11 2006 - locilka@suse.cz
- Added 'inst_pre_install' and 'copy_systemfiles_finish' clients,
  and module 'SystemFilesCopy' as a solution for FATE requests
  [#300421] and #120103, which means that SSH keys are, by now,
  copied from another already installed system (if such exists).
  If there are more installed systems, the best ones are selected
  considering the newest access-time.
- More verbose dialog when initializing the installation (+icon).
* Thu Sep 07 2006 - locilka@suse.cz
- Added dialog content and help into the initial dialog of add-on
  client. Progress will be even better.
- Temporarily disabled buttons that don't work there.
- Added more "busy messages" into the add-on dialogs.
- Added new functionality for filtering services in SLP services
  table. Allowed characters are "a-zA-Z0-9 .*-".
* Wed Sep 06 2006 - mvidner@suse.cz
- To allow adding unsigned sources, temporarily "rug set-pref
  security-level none" when syncing in inst_source (#190403).
- 2.13.149
* Wed Sep 06 2006 - locilka@suse.cz
- No such headline "Mode" in the Installation Settings dialog.
  Help fixed (#203811).
- Added help into the Add-On Product Installation dialog.
- Add and Delete buttons in the same dialog were moved to the left
  side according the YaST style guide.
- Disabling Delete button in case of no Products listed
  (all filed as bug #203809).
- Used a correct (another) icon in License Agreement dialog
  (#203808).
* Mon Sep 04 2006 - locilka@suse.cz
- Running Installation in Wizard Window (#203510).
- Needed binaries in inst-sys: xquery and fvwm-root.
- Initially, a plain colored image is used as a background.
- 2.13.148
* Mon Sep 04 2006 - ms@suse.de
- fixed -fp setup of Xvnc (#203531)
* Fri Sep 01 2006 - locilka@suse.cz
- Fixed Installation Mode dialog to redraw itself only when needed.
* Wed Aug 23 2006 - locilka@suse.cz
- Added a new debugger tool scr_switch_debugger.ycp that is called
  when switching to the installed system in switch_scr_finish.ycp
  fails (#201058).
- Additionally, YaST logs from installed system are stored under
  the /var/log/YaST2/InstalledSystemLogs/ directory.
- 2.13.147
* Wed Aug 23 2006 - jsrain@suse.cz
- use version specific Xvnc parameters
- 2.13.146
* Wed Aug 23 2006 - jsrain@suse.cz
- temporary fix to copy /etc/X11/xorg.conf to the system during
  installation (#201121)
- 2.13.145
* Tue Aug 22 2006 - mvidner@suse.cz
- test_proposal and test_inst_client: also call
  Mode::SetMode ("installation");
* Tue Aug 22 2006 - locilka@suse.cz
- New Installation Mode dialog (#156529)
- 2.13.144
* Tue Aug 22 2006 - jsrain@suse.cz
- weaken dependency on suseRegister (#183656)
* Fri Aug 18 2006 - jsrain@suse.cz
- fixed building documentation
- 2.13.143
* Thu Aug 10 2006 - jsrain@suse.cz
- fixed congratulation text for openSUSE (#198252)
- 2.13.142
* Wed Aug 09 2006 - jsrain@suse.cz
- read info about products from package manager without parsing all
  metadata and reading RPM database (#66046)
- added unzip to Requires (#195911)
* Tue Aug 08 2006 - jsrain@suse.cz
- fixed 'Requires'
- 2.13.141
* Fri Aug 04 2006 - jsrain@suse.cz
- updated for X.Org 7
- 2.13.140
* Fri Aug 04 2006 - jsrain@suse.cz
- moved SLP source scanning to SourceManager.ycp
* Wed Aug 02 2006 - mvidner@suse.cz
- Added a configure-time check for fvwm directory
* Fri Jul 28 2006 - jsrain@suse.cz
- offer to eject the CD drive when asking for add-on CD (#181992)
* Thu Jul 27 2006 - jsrain@suse.cz
- added support for merging multiple proposal items as one proposal
  item (eg. to group langage and keyboard)
- 2.13.139
* Wed Jul 26 2006 - jsrain@suse.cz
- get version from installed product proper way (#157924)
* Tue Jul 25 2006 - jsrain@suse.cz
- beep before rebooting the machine during installation (#144614)
* Mon Jul 24 2006 - jsrain@suse.cz
- fixed error reporting when creating a source (#159695)
- abort installation if package manager initialization fails
  (#167674)
- report proper message if no catalog found via SLP and firewall
  is running (#156444)
* Tue Jul 18 2006 - jsrain@suse.cz
- fixed displaying catalog selection dialog if multiple catalogs
  found on add-on media (#192761)
* Tue Jul 18 2006 - jsrain@suse.cz
- fixed vendor URL in congratulate dialog (#187358)
- 2.13.138
* Mon Jul 17 2006 - jsrain@suse.cz
- check if there are any patches available before offering online
  update (jsuchome)
- merged inst_default_desktop.ycp to desktop_finish.ycp
* Sun Jul 16 2006 - olh@suse.de
- introduce a Linuxrc::display_ip and use it instead of Arch::s390
- 2.13.137
* Fri Jul 14 2006 - jsrain@suse.cz
- adapted to changes in yast2-packager
- use only one implementation of product license handling (#191523)
- 2.13.136
* Fri Jul 14 2006 - olh@suse.de
- move /tmp/vncserver.log to /var/log/YaST2/vncserver.log
* Mon Jul 10 2006 - jsrain@suse.cz
- correctly import add-on product control file even if no
  additional YaST modules are present on the media (#185768)
- 2.13.135
* Mon Jul 10 2006 - mvidner@suse.cz
- When running Novell Customer Center Configuration the second time,
  do not add duplicate update sources for graphic card drivers
  (#188572).
- 2.13.134
* Fri Jun 30 2006 - ug@suse.de
- during autoinstall, timeout early warning popups
* Tue Jun 27 2006 - mvidner@suse.cz
- Don't show the URL passwords in registration success popup (#186978).
- Include the password in URLs passed to ZMD (#186842).
- Don't log the URL passwords.
- 2.13.133
* Mon Jun 26 2006 - jsrain@suse.cz
- preselect patterns according to selected desktop (#183944)
* Wed Jun 21 2006 - jsrain@suse.cz
- display the source URL dialog if adding add-on product update
  source fails in order to allow to enter password (#186804)
* Tue Jun 20 2006 - mvidner@suse.cz
- When registration succeeds, display only the actually added sources
  (#180820#c26).
* Tue Jun 20 2006 - jsrain@suse.cz
- translate the congratulate string (#186567)
* Mon Jun 19 2006 - jsrain@suse.cz
- report an error when failed to register the update source for
  an add-on product (#185846)
- 2.13.132
* Mon Jun 19 2006 - jsrain@suse.cz
- ask about accepting license of add-on product added via the
  /add_on_product file (#186148)
- 2.13.131
* Thu Jun 15 2006 - mvidner@suse.cz
- Do not complain if ZMD cannot be stopped (#166900).
- When syncing the _original_ installation sources to ZMD,
  temporarily turn off signature checking because the user has
  already decided to trust the sources (#182747).
- SourceManager: factored out the rug pathname.
- 2.13.130
* Thu Jun 15 2006 - jsrain@suse.cz
- set installation server as host name (not IP address) if it is
  defined as host name during installation (#178933)
- 2.13.129
* Thu Jun 15 2006 - visnov@suse.cz
- fix the please-wait string
* Wed Jun 14 2006 - jdsn@suse.de
- added a please-wait string in registration (already translated)
- 2.13.128
* Mon Jun 12 2006 - mvidner@suse.cz
- Fillup /etc/sysconfig/security:CHECK_SIGNATURES and initialize it
  based on an install time kernel parameter.
- 2.13.127
* Mon Jun 12 2006 - jdsn@suse.de
- run pango module creation as root (#165891)
- fixed SLE desktop file of suse_register for autoyast (mc, ug)
- 2.13.126
* Fri Jun 09 2006 - locilka@suse.cz
- Identify the downloaded release notes by the product name during
  the internet test. Changes were made in the module Product
  (#180581).
- 2.13.125
* Thu Jun 08 2006 - jdsn@suse.de
- create pango modules for registration browser (#165891)
- sync zypp update sources in autoyast mode as well (#181183)
- 2.13.124
* Wed Jun 07 2006 - jsrain@suse.cz
- avoid adding update source of an add-on product twice during
  installation (#182434)
- 2.13.123
* Tue Jun 06 2006 - mvidner@suse.cz
- Moved SourceManager + deps from yast2-packager to yast2-installation
  to avoid circular BuildRequires.
- 2.13.122
* Tue Jun 06 2006 - mvidner@suse.cz
- Call suse_register with --nozypp meaning that we will tell rug
  ourselves which zypp/yum sources it should add. This enables
  rejecting broken or untrusted sources (#180820).
- Moved the major part of Register::add_update_sources to
  SourceManager::AddUpdateSources.
- 2.13.121
* Tue Jun 06 2006 - jsrain@suse.cz
- sync add-on product source to ZMD (#181743)
- 2.13.120
* Thu Jun 01 2006 - mvidner@suse.cz
- Do log Report::{Message,Warning,Error} messages by default (#180862).
- 2.13.119
* Thu Jun 01 2006 - jsrain@suse.cz
- honor UPDATEURLS if installing add-on product in running system
  (#180417)
- 2.13.118
* Wed May 31 2006 - jsrain@suse.cz
- avoid calling Pkg::SourceStartCache during 1st stage of the
  installation (#178007)
- 2.13.117
* Tue May 30 2006 - jdsn@suse.de
- set correct title of installation step Customer Center (#179921)
- 2.13.116
* Fri May 26 2006 - jsrain@suse.cz
- fixed behavior if SLP source detection fails (#179036)
- 2.13.115
* Thu May 25 2006 - jsrain@suse.cz
- added possibility to specify add-on product URL as command-line
  parameter of add-on.ycp (to run add-on product workflow via
  autorun.sh)
- 2.13.114
* Wed May 24 2006 - jsrain@suse.cz
- properly integrate YCP code for add-on product installation in
  running system (if YCP code present) (#178311)
- 2.13.113
* Tue May 23 2006 - jdsn@suse.de
- gray out checkboxes in inst_suse_register when skipping (#178042)
- 2.13.112
* Tue May 23 2006 - jsrain@suse.cz
- added different desktop files for SLE and BOX/openSUSE
- 2.13.111
* Tue May 23 2006 - jdsn@suse.de
- fixed layouting in inst_ask_online_update (#177559)
* Fri May 19 2006 - jdsn@suse.de
- let inst_suse_register ask to install mozilla-xulrunner if
  missing (#175166)
- prevent non-root user to run inst_suse_register (#170736)
- 2.13.110
* Fri May 19 2006 - jsrain@suse.cz
- more verbose logging of storing hardware status (#170188)
- 2.13.109
* Thu May 18 2006 - hare@suse.de
- start iscsid if root is on iSCSI (#176804)
* Wed May 17 2006 - jsrain@suse.cz
- set DISPLAYMANAGER_SHUTDOWN according to control file (#169639)
- 2.13.108
* Tue May 16 2006 - jsrain@suse.cz
- marked missed text for translation (#175930)
- 2.13.107
* Mon May 15 2006 - jsrain@suse.cz
- handle additional data for installation restart (#167561)
* Fri May 12 2006 - jsrain@suse.cz
- initialize callbacks before adding an add-on product, properly
  handle installation sources of add-on products (both if preparing
  AutoYaST configuration (#172837)
- 2.13.106
* Thu May 11 2006 - jsrain@suse.cz
- do not disable automatic modprobe before adding add-on products
  (#172149)
- 2.13.105
* Thu May 11 2006 - ms@suse.de
- fixed message text (#172766)
* Thu May 11 2006 - ms@suse.de
- prevent ssh message from being displayed if vnc+ssh has
  been specified as installation method (#173486)
* Wed May 10 2006 - jdsn@suse.de
- removed search bar from registration browser (#169092)
- 2.13.104
* Tue May 09 2006 - jdsl@suse.de
- switched to Enterprise wording for inst_suse_register (#173970)
- 2.13.103
* Tue May 09 2006 - mvidner@suse.cz
- Save the update sources if registration is done later after the
  installation (#172665).
- When adding upate sources, do not add duplicates (check by the alias
  passed by suse_register on SLE), delete the duplicate beforehand
  (#168740#c3).
- 2.13.102
* Tue May 09 2006 - mvidner@suse.cz
- Start the network also when doing a remote X11 installation (#165458,
  hare).
- 2.13.101
* Mon May 08 2006 - jdsl@suse.de
- added hard require from y2-installation to suseRegister (hmuelle)
- added new w3m-jail for registration (#167225)
- fixed passing of url to browser(s) for registration (#167225)
- switched to Enterprise strings for inst_suse_register (shorn)
- 2.13.100
* Thu May 04 2006 - jsrain@suse.cz
- added congratulate text to the control file (#170881)
- 2.13.99
* Thu May 04 2006 - jsrain@suse.cz
- disable timeout in popup before installation reboot in case
  of SSH installation (#160301)
* Thu May 04 2006 - locilka@suse.cz
- include proofread message texts
* Wed May 03 2006 - locilka@suse.cz
- Busy cursor when "Contacting server" in suse_register (#171061).
- 2.13.97
* Tue May 02 2006 - locilka@suse.cz
- Display KDE-related help in the Congratulations dialog only
  in case of KDE as the default windowmanager (#170880).
- 2.13.96
* Fri Apr 28 2006 - locilka@suse.cz
- Proper checking for available network when adding an Add-On
  product. Network-related options are disabled in case of missing
  network both in installation and running system (#170147).
- 2.13.95
* Fri Apr 28 2006 - jsuchome@suse.cz
- initialize package callbacks for add on product workflow (#170317)
- 2.13.94
* Thu Apr 27 2006 - mvidner@suse.cz
- Tell libzypp-zmd-backend not to write sources to zypp db,
  we are going to do it ourselves (#170113).
- 2.13.93
* Thu Apr 27 2006 - jsrain@suse.de
- handle missing SHORTLABEL in content file (#170129)
- 2.13.92
* Thu Apr 27 2006 - fehr@suse.de
- set limit for separate /home to 14G for SLED (#169232)
* Thu Apr 27 2006 - ms@suse.de
- removed update_xf86config call, checking for /dev/psaux was
  broken and is no longer needed because the default mouse device
  is /dev/input/mice since many versions now (#168816)
* Thu Apr 27 2006 - mvidner@suse.cz
- When asking for update URLs, go trough products, not patterns (#169836).
- 2.13.91
* Thu Apr 27 2006 - locilka@suse.cz
- Making "SLP Catalog" selection bigger (maximum ncurses size)
  (#168718)
- 2.13.90
* Tue Apr 25 2006 - jsrain@suse.de
- fixed service proposal in SLES control file (#159771)
* Tue Apr 25 2006 - locilka@suse.cz
- Return `next instead of `ok in case of SLP Add-On Source (#165989)
- 2.13.89
* Mon Apr 24 2006 - jsrain@suse.de
- GDM is default if both KDE and GNOME installed (#155095)
- 2.13.88
* Mon Apr 24 2006 - sh@suse.de
- V 2.13.87
- Removed "Disagree with all" button (bug #163001)
* Mon Apr 24 2006 - ug@suse.de
- 2.13.86
* Mon Apr 24 2006 - ug@suse.de
- X-SuSE-YaST-AutoInstRequires=lan
  added to desktop file of suse register.
  Otherwise the registration fails.
* Mon Apr 24 2006 - lnussel@suse.de
- run rcSuSEfirewall2 reload when installing via vnc or ssh (#153467)
- 2.13.85
* Fri Apr 21 2006 - jsrain@suse.de
- determine base product accordign to flag (#160585)
- 2.13.84
* Fri Apr 21 2006 - jdsn@suse.de
- added proxy support for registration browser (#165891)
- 2.13.83
* Thu Apr 20 2006 - jsrain@suse.de
- handle installation restart with repeating last step (#167561)
- 2.13.82
* Thu Apr 20 2006 - jdsn@suse.de
- proxy support for registration process (#165891)
- disable w3m registration by control variable (aj)
- 2.13.81
* Thu Apr 20 2006 - mvidner@suse.cz
- When cloning, save installation sources beforehand (#165860).
- 2.13.80
* Wed Apr 19 2006 - jsrain@suse.de
- restore buttons after calling DASD or zFCP module (#160399)
- 2.13.79
* Wed Apr 19 2006 - locilka@suse.cz
- Added more debugging messages to the inst_proposal (#162831)
- 2.13.78
* Tue Apr 18 2006 - jsrain@suse.de
- display proper popup when aborting add-on product installation
  (#159689)
* Tue Apr 18 2006 - jdsn@suse.de
- in inst_suse_register:
- busy/waiting popups (#163366, #164794)
- text changes (#165509)
- autodisable checkbox "Registration Code" (# 165841)
- error handling in case no browser is available
- cleanup
- 2.13.77
* Tue Apr 18 2006 - jsrain@suse.de
- do not initialize catalogs before booting installed system (#162899)
- 2.13.76
* Tue Apr 18 2006 - mvidner@suse.cz
- Do not try to add empty URL as an update source (#165860#c12).
* Tue Apr 18 2006 - mvidner@suse.cz
- Fixed a typo in the previous change.
- 2.13.75
* Tue Apr 18 2006 - locilka@suse.cz
- Add-On SLP source was allways returning `back also in case
  of `ok (`next) (#165989)
- 2.13.74
* Tue Apr 18 2006 - mvidner@suse.cz
- Skip popup and unnecessary work if there are no online update
  sources for add-ons (#167233).
- 2.13.73
* Fri Apr 14 2006 - jsrain@suse.de
- prevent from changing installation mode and system for update once
  it is selected (#165832)
- added add-on products to installation/update proposal for SLES/SLED
- 2.13.72
* Fri Apr 14 2006 - lslezak@suse.cz
- call vm_finish client at the end of installation - disable
  some services in Xen domU (#161720, #161721, #161756)
- 2.13.71
* Thu Apr 13 2006 - jdsn@suse.de
- changed control files according to (#165509)
* Thu Apr 13 2006 - mvidner@suse.cz
- Do not display errors if language specific release notes are missing
  on the installation source (#165767).
- 2.13.70
* Wed Apr 12 2006 - jdsn@suse.de
- added missing autoyast entries in suse_register.desktop
- 2.13.69
* Wed Apr 12 2006 - jsuchome@suse.cz
- control files updated for manual online update run (#165503)
- 2.13.68
* Wed Apr 12 2006 - ms@suse.de
- fixed displaying ftp password in plaintext in y2start.log (#164824)
* Wed Apr 12 2006 - mvidner@suse.cz
- Do not mangle the URL obtained from suse_register (#165499).
- 2.13.67
* Wed Apr 12 2006 - locilka@suse.cz
- fixed Product.ycp - relnotes_url might be defined as an empty
  string (#165314).
- 2.13.66
* Tue Apr 11 2006 - jsrain@suse.de
- fixed boot if root is on LVM (initialize udev symlinks) (#163073)
- 2.13.65
* Tue Apr 11 2006 - jdsn@suse.de
- in inst_suse_register:
  - resized popups (hmuelle)
  - new info pupop showing new update server (aj)
  - removed cancel button (#164801, shorn)
- 2.13.64
* Tue Apr 11 2006 - fehr@suse.de
- flag for evms in control.SLES.xml needs to be true
* Mon Apr 10 2006 - mvidner@suse.cz
- Add installation sources for online update (#163192).
- 2.13.63
* Fri Apr 07 2006 - jsrain@suse.de
- provide Product::short_name (#163702)
- 2.13.62
* Fri Apr 07 2006 - jdsn@suse.de
- fixed evaluation of control file variables (#162988)
- 2.13.61
* Fri Apr 07 2006 - jsuchome@suse.cz
- 2.13.60
* Thu Apr 06 2006 - ms@suse.de
- allow huge memory allocations (#151515)
* Thu Apr 06 2006 - jsuchome@suse.cz
- Product.ycp: read SHORTLABEL value from content file (#163702)
* Wed Apr 05 2006 - mvidner@suse.cz
- Call SourceManager::SyncYaSTInstSourceWithZMD () in
  inst_rpmcopy(continue) because inst_suse_register does not run
  without a network connection (#156030#c30).
* Wed Apr 05 2006 - jsrain@suse.de
- do not rewrite log from SCR running in chroot during installation
- fix checking for duplicate sources (#159662)
- 2.13.59
* Tue Apr 04 2006 - jdsn@suse.de
- fixed w3m registration again (#162462)
- changed Requires to Recommends for suseRegister (hmuelle, aj)
- 2.13.58
* Mon Apr 03 2006 - jdsn@suse.de
- fixed w3m in ncuses registration (#162462)
- changes in suse_register to test new server side business logic
- 2.13.57
* Mon Apr 03 2006 - locilka@suse.cz
- Using yast-addon icon in the .desktop file and also in the source
  code (#154930).
- 2.13.56
* Mon Apr 03 2006 - ug@suse.de
- by default, enable clone box on SLD
* Mon Apr 03 2006 - ug@suse.de
- uncheck clone checkbox if cloning is greyed out (#162457)
* Fri Mar 31 2006 - mvidner@suse.cz
- Tell ZMD to get the inst source (#156030)
- No unlocking after all (#160319)
  - Don't reset zypp
  - Reenable Back
  - Fetch update source from suse_resigster and add it
- 2.13.55
* Thu Mar 30 2006 - mvidner@suse.cz
- Reset zypp and release its lock before suse_register (#160319).
  Therefore disabled the Back button.
- Don't run add-on.ycp if another process has the zypp lock (#160319).
- 2.13.53
* Thu Mar 30 2006 - jdsn@suse.de
- included new desktop file in Makefile (162112)
* Wed Mar 29 2006 - jsrain@suse.de
- prevent from installing one product multiple times (#159662)
- 2.13.54
* Wed Mar 29 2006 - locilka@suse.cz
- Fixed adding SLP-based Add-On product (#161270)
- SLP-based Add-On product handling moved to separate function
- Add-On MediaSelect dialog creation moved to separate function
- Changed icon for License
- 2.13.52
* Wed Mar 29 2006 - jdsn@suse.de
- late feature "force registration" for suse_register (aj, shorn)
* Tue Mar 28 2006 - jdsn@suse.de
- added 'rm -f /var/lib/zypp/zmd_updated_the_sources'
  flag file to be deleted if suse_register runs during installation
  file checked by online update - deletion requested by mvidner
- 2.13.51
* Tue Mar 28 2006 - jdsn@suse.de
- added autoyast part of suse_register
- icon for product registration (#160293)
- fixes for inst_suse_register
- 2.13.50
* Mon Mar 27 2006 - jsrain@suse.de
- removed desktop selection from NLD workflow (#160650)
* Fri Mar 24 2006 - locilka@suse.cz
- Filling up list of release_notes urls for all installed products
  in the Product.ycp. Needed for internet_test (#160563).
- 2.13.49
* Fri Mar 24 2006 - ms@suse.de
- added initvicons call in second stage S05-config (#160299)
* Thu Mar 23 2006 - jdsn@suse.de
- fixed security issue: suse-ncc dummy user got his own group
* Thu Mar 23 2006 - jdsn@suse.de
- added controlfile configured default settings for suse_register
- 2.13.47
* Thu Mar 23 2006 - locilka@suse.cz
- Display license immediately after the Add-On product is scanned
  and added. Handle user interaction.
- 2.13.46
* Thu Mar 23 2006 - jdsn@suse.de
- final texts for suse_register
- nonroot - warning for suse_register
- 2.13.45
* Thu Mar 23 2006 - locilka@suse.cz
- Displaying license of the Add-On product if exists. Trying the
  localized version first. Waiting for user interaction if needed.
- Displaying info.txt if exists (#160017)
- Adjusting testsuites
- 2.13.44
* Wed Mar 22 2006 - jdsn@suse.de
- fixed missing module in makefile
- 2.13.43
* Wed Mar 22 2006 - locilka@suse.cz
- Added fallback for adding add-on products without file
  installation.xml. In this case, the product is added as a normal
  installation source and sw_single is called.
- 2.13.42
* Wed Mar 22 2006 - jdsn@suse.de
- fixed ssh bug in suse_register
- suse_register reads and writes configuration to sysconfig
- final texts in suse_register
- 2.13.41
* Wed Mar 22 2006 - mvidner@suse.cz
- Fixed release notes download (by Product::FindBaseProducts), #159490.
* Wed Mar 22 2006 - jdsn@suse.de
- changed help text in suse_register
- patch to make the ComboBox appear longer in release_notes
* Tue Mar 21 2006 - locilka@suse.cz
- adding "Local Directory" option for Add-On Products when no
  network is available (#159779).
- avoid from adding "Unknown" Add-On Product when Cancel button
  pressed in the Add New Add-On popup (#159784).
* Tue Mar 21 2006 - jsuchome@suse.cz
- returned dependency on yast2-online-update
* Tue Mar 21 2006 - visnov@suse.cz
- try to get add-on product control files only optionally (#159116)
- 2.13.40
* Mon Mar 20 2006 - locilka@suse.cz
- disabled skipping the 'Installation Mode' dialog when no other
  installed Linux found. Just disabling 'Update' and 'Other'
  options in that case (#157695).
- removed calling uml_finish, client doesn't has been dropped.
* Fri Mar 17 2006 - jsrain@suse.de
- added AytoYaST support for add-on products
- 2.13.39
* Fri Mar 17 2006 - locilka@suse.cz
- fixed .desktop file for Add-On Products, now it starts add-on
  instead of sw_single when launched from YaST Control Center
  (#158869).
* Thu Mar 16 2006 - jsrain@suse.de
- added zFCP and DASD modules to list of modules to be cloned after
  SLES installation (#153378)
- 2.13.38
* Thu Mar 16 2006 - jsrain@suse.de
- fixed product handling (&product; macro) (#151050)
- allow multiple installation sources (#151755)
* Thu Mar 16 2006 - jdsn@suse.de
- fixed blocker bug (#158628), suse_register call in all products
* Thu Mar 16 2006 - fehr@suse.de
- increase maximal size of root fs to 20 Gig (#158608)
- 2.13.37
* Wed Mar 15 2006 - jsrain@suse.de
- do not overwrite language settings during update (#156562)
- do not offer network sources for Add-On products if no network is
  configured (#156467)
- 2.13.36
* Tue Mar 14 2006 - jdsn@suse.de
- corrected titles in control file
- 2.13.35
* Tue Mar 14 2006 - jdsn@suse.de
- 2.13.34
* Tue Mar 14 2006 - jdsn@suse.de
- new browser for registration
- new texts for registration module
* Mon Mar 13 2006 - jsrain@suse.de
- report an error if creating catalog for add-on product fails
  (#157566)
- 2.13.33
* Fri Mar 10 2006 - jsrain@suse.de
- disable add-on products if inst-sys is mounted from CD
- 2.13.32
* Fri Mar 10 2006 - jdsn@suse.de
- fixed security bug (#157008)
- added link to browser for Novell privacy statement
* Fri Mar 10 2006 - mvidner@suse.cz
- Start ncurses UI in non-threaded mode to enable spawning of
  interactive processes (like w3m for suseRegister, #150799).
- 2.13.31
* Fri Mar 10 2006 - ms@suse.de
- forcing using xim for Qt Input (#156962)
* Thu Mar 09 2006 - mvidner@suse.cz
- Control files: added network/startmode, being ifplugd for SL and
  SLED, auto for SLES (#156388).
- 2.13.30
* Thu Mar 09 2006 - jsrain@suse.de
- fixed asking for add-on product CD (#156469)
* Thu Mar 09 2006 - ms@suse.de
- include proofread message texts
* Wed Mar 08 2006 - jdsn@suse.de
- fixed launch of yastbrowser (during installation)
- 2.13.29
* Wed Mar 08 2006 - ms@suse.de
- fixed createStageList() function to be more restrictive on checking
  for stage files. Adapt startup documentation according to this
  change (#144783)
* Wed Mar 08 2006 - lrupp@suse.de
- added suseRegister to Requires
* Tue Mar 07 2006 - jdsn@suse.de
- added functionality to skip suse register and/or online update
- 2.13.28
* Tue Mar 07 2006 - jsrain@suse.de
- added yastbrowser
* Tue Mar 07 2006 - jsrain@suse.de
- fixed back button behavior in installation mode dialog (#155044)
* Mon Mar 06 2006 - visnov@suse.cz
- enable media callbacks in the add-on product handling
* Fri Mar 03 2006 - jsrain@suse.de
- added .desktop file for add-on product installation (#154930)
- properly initialize source for add-on product (#154980)
- 2.13.27
* Fri Mar 03 2006 - visnov@suse.cz
- reset package manager before installing patches
* Wed Mar 01 2006 - jsrain@suse.de
- release all medias before registering add-on product CD or DVD
  (#154348)
- check whether files are on the add-on product media before using
  them (#154314)
- 2.13.26
* Mon Feb 27 2006 - jsrain@suse.de
- fixed setting default desktop according to destop dialog (#152709)
- 2.13.25
* Fri Feb 24 2006 - jsrain@suse.de
- select base product before runing add-on products dialog
- 2.13.24
* Fri Feb 24 2006 - ms@suse.de
- added qt plugin check to check_network function (#149025)
* Thu Feb 23 2006 - jsrain@suse.de
- changed the name of the add-on product control file (#152770)
- 2.13.23
* Wed Feb 22 2006 - jsrain@suse.de
- using correct icon (#151630)
- 2.13.22
* Wed Feb 22 2006 - ms@suse.de
- added console startup message when y2base is called (#148165)
* Wed Feb 22 2006 - visnov@suse.cz
- adapt BuildRequires
- 2.13.21
* Wed Feb 22 2006 - jsrain@suse.de
- do not offer creating AutoYaST profile in first boot mode
  (#152285)
- 2.13.20
* Sun Feb 19 2006 - jsrain@suse.de
- made inst_proposal more resistent to incorrect data returned from
  client modules (#148271)
* Fri Feb 17 2006 - jsrain@suse.de
- removed dependency on yast2-online-update
- integrated add-on product selection to installation workflow
- 2.13.19
* Fri Feb 17 2006 - mvidner@suse.cz
- inst_release_notes: Let the combo box have a label.
- inst_disks_activate: fixed the textdomain (s390 -> installation)
* Thu Feb 16 2006 - jsrain@suse.de
- several fixes of add-on product installation
- 2.13.18
* Tue Feb 14 2006 - jsrain@suse.de
- added possibility to use standalone-installation proposals when
  installing with base product
- added support for replacing 2nd stage workflow
- added support for disabling individual proposal
- added support for inserting steps to inst_finish for add-on
  products
- added copying merged control files to installed system, merging
  them for 2nd stage workflow
- 2.13.17
* Tue Feb 14 2006 - jdsn@suse.de
- new release notes module (multiple release notes) FATE: 120129
- 2.13.16
* Tue Feb 14 2006 - jsrain@suse.de
- fixed add-on product workflow and proposal merging
* Mon Feb 13 2006 - jsrain@suse.de
- updated patchs on add-on product CD according to spec
- 2.13.15
* Mon Feb 13 2006 - visnov@suse.cz
- save zypp.log from instsys
* Sun Feb 12 2006 - olh@suse.de
- umount /dev and /sys unconditionally in umount_finish.ycp
* Sun Feb 12 2006 - olh@suse.de
- remove obsolete comment from umount_finish.ycp
* Sun Feb 12 2006 - visnov@suse.cz
- revert redirect
* Sun Feb 12 2006 - kkaempf@suse.de
- redirect stderr to /var/log/YaST2/zypp.log when running
  1st or 2nd stage installation. (#149001)
* Thu Feb 09 2006 - jsrain@suse.de
- added add-on product installation in running system
* Thu Feb 09 2006 - jsrain@suse.de
- added control file merging functionality
* Tue Feb 07 2006 - mvidner@suse.cz
- control files: Configure the hostname in the main installation
  workflow also in SuSE Linux (#142758) and SLED (#137340).
- 2.13.13
* Mon Feb 06 2006 - olh@suse.de
- remove the /usr/share/locale/br symlink creation, there is
  no user of /usr/share/locale files inside the inst-sys
- remove the hostname linux, domainname local calls
  the hostname is already set in inst_setup.
  yast can not be restarted with ssh installs
* Tue Jan 31 2006 - fehr@suse.de
- disable proposal with separate /home for SLES
* Mon Jan 30 2006 - ms@suse.de
- fixed PCI bus ID setup (#145938)
* Fri Jan 27 2006 - ms@suse.de
- adding truetype font path to the vnc font path (#139351)
* Thu Jan 26 2006 - fehr@suse.de
- remove loading of dm modules, if needed this is done in libstorage
* Tue Jan 24 2006 - ms@suse.de
- added check for testutf8 binary (#144699)
* Tue Jan 24 2006 - jsrain@suse.cz
- enable iSCSI dialog during installation
- 2.13.12
* Mon Jan 23 2006 - mvidner@suse.cz
- Added networkmanager_proposal to the network proposal.
- 2.13.11
* Mon Jan 23 2006 - ms@suse.de
- added y2start.log message if YaST exits abnormally (#141016)
- fixed repatching of xorg.conf file (#144538)
* Mon Jan 23 2006 - jsrain@suse.cz
- added "enable_clone" option (#144101)
* Mon Jan 16 2006 - mvidner@suse.cz
- Prefer the string product feature network/network_manager (always,
  laptop, never) over boolean network/network_manager_is_default.
* Fri Jan 13 2006 - jsrain@suse.cz
- run the desktop dialog also on SLES (#142771)
- added iscsi installation to the installatino workflow
- 2.13.10
* Wed Jan 11 2006 - jsrain@suse.cz
- call installation clients for DASD/zFCP configuration instead of
  the run-time ones
* Mon Jan 09 2006 - jsrain@suse.cz
- write mouse information on PPC (#116406)
- UI mode set to expert for SLES
- reset storage after (de)activating any disk (#140936)
- 2.13.9
* Fri Jan 06 2006 - ms@suse.de
- fixed HVC_CONSOLE_HINT text (#140386)
* Thu Jan 05 2006 - jsrain@suse.cz
- Removed unneeded stuff from proposals on some architectures for
  SLES (#140999, #140991)
- Added iSCSI to installation workflow (real call still missing)
- moved DASD/zFCP disk activation prior installation mode selection
  (#140936)
- 2.13.8
* Thu Jan 05 2006 - sh@suse.de
- V 2.13.7
- Fixed bugs #79289, #114037: trouble with y2cc at end of installation
  Dropped y2cc at end of installation (OK from aj + gp)
* Thu Jan 05 2006 - mvidner@suse.cz
- control file: for SLES, ask for the host name in the main workflow (F4126)
* Thu Jan 05 2006 - jsuchome@suse.cz
- control file: for NLD, do not enable autologin by default (#140990)
* Tue Jan 03 2006 - ms@suse.de
- don't call initvicons on s390/s390x architectures (#140383)
* Thu Dec 22 2005 - fehr@suse.de
- added try_separate_home to partitioning section of control.xml
* Wed Dec 21 2005 - ms@suse.de
- fixed startup Makefile.am
* Wed Dec 21 2005 - visnov@suse.cz
- merged proofread texts
* Tue Dec 20 2005 - ms@suse.de
- added support for graphical installation on ia64 archs (#140142)
* Mon Dec 19 2005 - sh@suse.de
- Implemented feature #300359: Show Beta notice during installation
  Now showing /info.txt in a popup (with a simple "OK" button)
  over the license agreement
- V 2.13.6
* Fri Dec 16 2005 - jsrain@suse.cz
- do not call obsolete gnome-postinstall script
- added list of modules to offer clone at the end of installation
  to control files
- 2.13.5
* Wed Dec 14 2005 - ms@suse.de
- make service startup more robust (#138433)
* Fri Dec 02 2005 - mvidner@suse.cz
- Added control file variables network_manager_is_default,
  force_static_ip.
- 2.13.4
* Fri Dec 02 2005 - jsrain@suse.cz
- mark missing texts for translation (#136021)
* Wed Nov 30 2005 - lslezak@suse.cz
- removed Xen and UML sections from control files
  (moved to yast2-vm package)
- 2.13.4
* Tue Nov 29 2005 - sh@suse.de
- Implemented feature #110081: License translations
- V 2.13.3
* Mon Nov 28 2005 - jsrain@suse.cz
- adjusted default desktop in control files (#132491)
* Tue Nov 22 2005 - jsrain@suse.cz
- added default desktop to control files
* Fri Nov 11 2005 - jsrain@suse.cz
- write hwcfg-static-printer only if parallel port is present
  (#116406)
- 2.13.2
* Tue Nov 01 2005 - jsrain@suse.cz
- adapted to inst_desktop_new.ycp -> inst_desktop.ycp rename
* Tue Oct 18 2005 - ms@suse.de
- added update check: update_xf86config to be called in case of
  update. The script will fix the mouse configuration if the device
  /dev/mouse or /dev/psaux is in use (#118755)
* Mon Oct 17 2005 - ms@suse.de
- added testX binary check
* Thu Oct 13 2005 - ms@suse.de
- fixed startup scripts because Stefan changed the X11 module
  naming from drv.o to drv.so :-(
* Fri Sep 30 2005 - jsrain@suse.cz
- remove checking whether to run language selection (language
  module knows better whether it is needed)
* Mon Sep 26 2005 - jsrain@suse.cz
- do close target before switching from update to bare metal
  installation (#115075)
- do not set default window manager in sysconfig if neither KDE
  nor GNOME are installed (#115412)
- 2.13.0
* Fri Sep 09 2005 - ms@suse.de
- fixed service startup sequence of HAL and DBUS (#115815)
* Wed Sep 07 2005 - jsrain@suse.cz
- fixed typo in the cursor scheme name for GNOME (#74309)
- 2.12.28
* Wed Sep 07 2005 - jsuchome@suse.cz
- 2.12.27
* Tue Sep 06 2005 - jsrain@suse.cz
- fixed freezing installation while saving configured hardware
  (#115387)
* Tue Sep 06 2005 - jsrain@suse.cz
- use correct icons for license agreement and installation mode
  dialogs (#105158)
- 2.12.26
* Mon Sep 05 2005 - ms@suse.de
- fixed braille setup (#115278)
* Mon Sep 05 2005 - ms@suse.de
- start dbus in Second-Stage/S06-services (#114667)
* Mon Sep 05 2005 - jsrain@suse.cz
- save all configured hardware at the end of installation (#104676)
- 2.12.25
* Thu Sep 01 2005 - ms@suse.de
- start hald in Second-Stage/S06-services (#114667)
* Mon Aug 29 2005 - jsrain@suse.cz
- reset package manager when switched installation mode (#105857)
- 2.12.24
* Fri Aug 26 2005 - jsrain@suse.cz
- set default cursor theme according to default desktop (#74309)
- 2.12.23
* Wed Aug 24 2005 - ms@suse.de
- fixed umount_result setting in /etc/install.inf. A space is
  needed between the colon and the value (#112620)
* Tue Aug 23 2005 - ms@suse.de
- fixed umount call in First-Stage setup -> added F03-umount (#103800)
* Tue Aug 23 2005 - jsrain@suse.cz
- mark correct tab selected after language is changed (#105995)
- reset target map when switching between installation and upgrade
  (#106627)
* Mon Aug 22 2005 - jsrain@suse.cz
- fixed title icons for proposal dialogs (#105165)
- 2.12.22
* Fri Aug 19 2005 - jsrain@suse.cz
- reverted forcing language dialog in NCurses (#102958)
- 2.12.21
* Fri Aug 19 2005 - ms@suse.de
- fixed mouse probing call, was never called in initial stage (#100665)
* Fri Aug 19 2005 - arvin@suse.de
- improved initialisation of libstorage callbacks (bug #105562)
* Wed Aug 17 2005 - ms@suse.de
- added umount_result key to /etc/install.inf containing the exit
  code from trying to umount the inst-sys (#103800)
- 2.12.19
* Wed Aug 17 2005 - jsrain@suse.cz
- handle correctly if _proposal client returns nil as warning level
  (#105154)
* Wed Aug 17 2005 - arvin@suse.de
- check if /sbin/splash exists (bug #105159)
- 2.12.18
* Tue Aug 16 2005 - jsrain@suse.cz
- build relation between old keys and new UDIs (#104676)
* Mon Aug 15 2005 - jsrain@suse.cz
- merged texts from proofread
- 2.12.17
* Mon Aug 15 2005 - ms@suse.de
- fixed vncpassword handling (#104377)
* Mon Aug 15 2005 - jsrain@suse.cz
- make the OK button in other installatino options popup default
  button (#104589)
* Fri Aug 12 2005 - jsrain@suse.cz
- force language selection in NCurses (#102958)
- 2.12.16
* Fri Aug 12 2005 - ms@suse.de
- fixed use of graphical installer within SSH session (#53767)
* Fri Aug 12 2005 - ms@suse.de
- fixed set_splash function to work with SuSE 10.0
* Tue Aug 09 2005 - ms@suse.de
- fixed shell warning (#100729)
* Mon Aug 08 2005 - jsrain@suse.cz
- show URL of product vendor in congratulation dialog (#102542)
* Fri Aug 05 2005 - lslezak@suse.cz
- added virtual machine proposal into contol file
- 2.12.15
* Wed Aug 03 2005 - jsrain@suse.cz
- fixed behavior in proposal with tabs if one of the submodules
  returned an error (#100203)
- 2.12.14
* Tue Aug 02 2005 - jsrain@suse.cz
- do not allow going back after 2nd stage installation is
  interrupted by reboot
- restore settings after reboot during 2nd stage installation
* Thu Jul 28 2005 - jsrain@suse.cz
- updated the installation confirmation popup (#98841)
- changed label of push button to access boot and repair (#98836),
  added help text
- 2.12.13
* Mon Jul 25 2005 - ms@suse.de
- include functions start_yast_and_reboot() and start_yast_again()
  according to a feature request for Jiri.
* Fri Jul 22 2005 - jsrain@suse.cz
- fixed dialog captions of proposals
* Thu Jul 21 2005 - fehr@suse.de
- replace obsolete SCR agent calls by call to Storage::ActivateHld()
* Thu Jul 21 2005 - ms@suse.de
- fixed YaST2.call::wait_for_x11() to set an initial value
  for server_running (#97381)
- 2.12.12
* Tue Jul 19 2005 - jsrain@suse.cz
- fixed switch from installation to update and vice versa
- added support for reboot and restart of YaST during 2nd stage
  installation
- updated control file to show 3 installation stages
* Mon Jul 18 2005 - jsrain@suse.cz
- updated control file
- minor inst_proposal clean-up
- 2.12.11
* Fri Jul 15 2005 - jsrain@suse.cz
- fixed behavior of several dialogs
- 2.12.10
* Thu Jul 14 2005 - jsrain@suse.cz
- added installation workflow
- added support for tabs in proposals
- adapted to new partitioner using storage-lib (arvin)
- moved inst_desktop.ycp to yast2-packager
- 2.12.9
* Mon Jul 11 2005 - jsrain@suse.cz
- removed dependency on vanished Display.ycp to fix build
- 2.12.8
* Mon Jul 11 2005 - ms@suse.de
- fixed race condition in checking servers exit code (#91342)
- fixed testX and xupdate paths
* Thu Jun 02 2005 - jsrain@suse.cz
- put focus on the release notes to allow scrolling without pushing
  Tab many times to move the focus (#80215)
* Wed Jun 01 2005 - mvidner@suse.cz
- Added a scr file for .etc.install_inf_options (#75720).
- 2.12.7
* Tue May 31 2005 - ms@suse.de
- implement check for driver update mode (#84155)
* Tue May 31 2005 - ms@suse.de
- applied patch from Olaf to avoid some time consuming calls (#86178)
- allow "vnc=1 usessh=1" as install and debug method (#45127)
* Mon May 30 2005 - jsrain@suse.cz
- display message when fallen into text mode installation (#53748)
* Mon May 16 2005 - jsrain@suse.cz
- renamed 'default' variable
- 2.12.6
* Tue May 10 2005 - jsrain@suse.cz
- copy /etc/X11/xorg.conf instead of XF86Config to the target
  system
- 2.12.5
* Mon May 09 2005 - ms@suse.de
- removed sed update of BusID (#78950)
* Wed Apr 27 2005 - jsrain@suse.cz
- modularized inst_finish.ycp
- 2.12.4
* Thu Apr 21 2005 - ms@suse.de
- fixed X11 config patching code, related to (#66989)
* Mon Apr 18 2005 - jsrain@suse.cz
- one more fix for new ProductFeatures.ycp interface
- 2.12.3
* Mon Apr 18 2005 - jsrain@suse.cz
- adapted to new interface of ProductFeatures.ycp
- 2.12.2
* Thu Apr 14 2005 - visnov@suse.cz
- 2.12.1
* Wed Apr 06 2005 - ms@suse.de
- inst-sys move XF86Config to xorg.conf (#66989)
* Tue Mar 29 2005 - jsrain@suse.cz
- updated the layout of the source files in the repository
- 2.12.0
* Wed Mar 23 2005 - ms@suse.de
- fixed vnc server arguments (#70896)
* Sat Mar 19 2005 - ms@suse.de
- fixed second stage locale setup for textbased installation (#73631)
* Tue Mar 15 2005 - ms@suse.de
- IMPORTANT: fixed locale setup (#72145)
* Tue Mar 15 2005 - jsrain@suse.cz
- enable netdaemon if GNOME is default desktop (#72018)
* Mon Mar 14 2005 - jsrain@suse.cz
- enable FAM daemon when GNOME is installed
* Mon Mar 14 2005 - ms@suse.de
- fixed missing reboot on SSH installation (#67043)
* Fri Mar 11 2005 - ms@suse.de
- added option --auto-fonts to Y2_QT_ARGS (#72174)
* Fri Mar 11 2005 - ms@suse.de
- fixed setting TERM variable (#71771)
* Mon Mar 07 2005 - jsrain@suse.cz
- initialize &product; macro in inst_suseconfig (#70899)
- set hwcfg file for parallel printer (#64412)
* Thu Mar 03 2005 - ms@suse.de
- fixed LANG setting in F03-language (#66498)
* Thu Mar 03 2005 - ms@suse.de
- fixed startup scripts for pcmcia/usb network installations (#65164)
* Wed Mar 02 2005 - jsrain@suse.cz
- merged texts from proofread
* Wed Mar 02 2005 - nashif@suse.de
- url in last dialog is set to www.novell.com/linux
* Tue Mar 01 2005 - jsrain@suse.cz
- removed obsolete symlink juggling (#66016)
* Thu Feb 24 2005 - ms@suse.de
- added logsize check to FirstStage/F07-logging
* Wed Feb 23 2005 - jsrain@suse.cz
- fixed comments for translators
* Tue Feb 22 2005 - ms@suse.de
- fixed check for X11 configuration in continue mode (#66224)
* Tue Feb 22 2005 - sh@suse.de
- V 2.11.17
* Tue Feb 22 2005 - ms@suse.de
- fixed Y2MAXLOGSIZE setting, which was set to 0 because df within
  inst-sys is not an option for checking the filesystem space
* Mon Feb 21 2005 - sh@suse.de
- Proper log-rotating in inst_finish
- V 2.11.16
* Fri Feb 18 2005 - jsrain@suse.cz
- added "Initializing..." title to installation before something
  else is shown (#51039)
* Thu Feb 17 2005 - ms@suse.de
- fixed inst-sys copy process of XF86Config to take care
  about the new name xorg.conf
* Wed Feb 16 2005 - jsrain@suse.cz
- fix displaying release notes if the localized version is not
  available (#50911)
* Thu Feb 10 2005 - jsrain@suse.cz
- reduced forced minimal size of the release notes popup (#50637)
- fixed the order of proposal creation (and thus firewall
  is enabled again) (#50622)
- 2.11.15
* Wed Feb 09 2005 - nashif@suse.de
- Save files control.xml and info.txt from installation into
  /etc/YaST2.
* Wed Feb 09 2005 - jsrain@suse.cz
- additional kernel parameters in control file Prof moved to
  the new variable (#50369)
* Tue Feb 08 2005 - nashif@suse.de
- Moved ProductControl to yast2 package
* Mon Feb 07 2005 - jsrain@suse.cz
- fixed order of items in the "Change" button in proposals (#50204)
- merged texts from proofread
- added label informing about release notes from media
- fixed translating empty string in the installation steps
- 2.11.12
* Fri Feb 04 2005 - jsrain@suse.cz
- display release notes from installation proposal
* Wed Feb 02 2005 - ms@suse.de
- fixed control center call (#50389)
* Tue Feb 01 2005 - nashif@suse.de
- Fixed left "steps" display problems (#50388)
* Wed Jan 26 2005 - nashif@suse.de
- install inst_default_desktop.ycp (#49838)
* Tue Jan 25 2005 - nashif@suse.de
- Fixed arguments in control file
- Fixed deleting completed steps
- 2.11.10
* Mon Jan 24 2005 - nashif@suse.de
- Moved installation workflow routines out of installation.ycp
- Adapted arguments of installation clients
- Enhanced control file and made it more readable (arguments of clients
  are clearer now)
* Mon Jan 24 2005 - ms@suse.de
- fixed language environment (#49811)
* Thu Jan 13 2005 - jsrain@suse.cz
- changed the "System will boot now..." message at the end of
  isnt_finish.ycp (#41592)
- 2.11.8
* Wed Jan 12 2005 - ms@suse.de
- removed xmset calls to disable/enable the mouse pointer.
- prevent patching X11 configuration in continue mode
* Wed Jan 12 2005 - ms@suse.de
- fixed yast startup in continue mode. The evaluation of the
  variables USE_SSH and VNC was wrong in S08-start and
  S09-cleanup
* Tue Jan 11 2005 - jsrain@suse.cz
- prevent disabling the Next button in the proposal (#46708)
* Wed Jan 05 2005 - jsrain@suse.cz
- removed unneeded imports and variables from installation.ycp
- adapted to changed interface of Kernel.ycp
- 2.11.7
* Tue Jan 04 2005 - jsrain@suse.cz
- on SGI Altix add fetchop and mmtimer to MODULES_LOADED_ON_BOOT
  (was disabled due to problems in Kernel.ycp) (bug #46971)
- disable Back/Accept buttons in inst_finish.ycp (#37025)
* Thu Dec 16 2004 - sh@suse.de
- Applied patch from bug #49275: Enable user to skip proposal
  even if there is a blocker error in it
* Thu Dec 09 2004 - arvin@suse.de
- disable inclusion of fetchop and mmtimer in
  MODULES_LOADED_ON_BOOT on SGI Altix (bug #46971)
* Fri Dec 03 2004 - ms@suse.de
- include some patches from old startup code which has been
  changed while developing the new startup concept. Please note
  all architecture dependant code has to be part of the startup/arch
  directories and must be included in a clean way to the new scripts.
  I will not include any arch changes made in the last weeks because
  this will lead to the same horrible situation we had in the past.
  if there is anything which has to be handled differntly on another
  architecture this must be done separately to be able to maintain
  that code longer than two days
* Wed Dec 01 2004 - sh@suse.de
- Fixed bug #48722: Inconsistent lower/upper case in mode dialog
* Mon Nov 29 2004 - ms@suse.de
- startup scripts ready now. reports can be send using bug: (#46886)
* Thu Nov 11 2004 - arvin@suse.de
- always use Directory::logdir
* Thu Nov 11 2004 - sh@suse.de
- Record macros during installation:
  /var/log/YaST2/macro_inst_initial.ycp for initial stage,
  /var/log/YaST2/macro_inst_cont.ycp  for "continue" mode
* Tue Nov 02 2004 - arvin@suse.de
- allow to select repair/boot in installation mode selection even
  when no update is possible (bug #39874)
* Mon Nov 01 2004 - visnov@suse.cz
- set product name in wizard (#46247)
* Wed Oct 27 2004 - arvin@suse.de
- on SGI Altix add fetchop and mmtimer to MODULES_LOADED_ON_BOOT
  (bug #46971)
* Tue Oct 26 2004 - jsrain@suse.cz
- moved parts of Mode.ycp to Installation.ycp
- adapted to Mode.ycp clean-up
- 2.11.2
* Tue Oct 19 2004 - lslezak@suse.cz
- UML mode: copy /etc/mtab file to host system (#42859)
- version 2.11.1
* Mon Oct 11 2004 - jsrain@suse.cz
- adapted to functional interface of Arch.ycp
* Mon Oct 11 2004 - jsrain@suse.cz
- moved default logon/window manager setting to extra client,
  setting it according to the base package selection (#46619)
- 2.11.0
* Thu Sep 30 2004 - sh@suse.de
- V 2.10.30
- Made final confirmation popup higher to accomodate all text
  without scrolling even in more verbose languages (de, fr)
* Wed Sep 29 2004 - mls@suse.de
- stop splash animation before starting yast
- go to verbose mode if X didn't start
* Mon Sep 27 2004 - arvin@suse.de
- don't create top-level "media" convenience links (bug #46152)
* Wed Sep 22 2004 - sh@suse.de
- Made final installation confirmation dialog wider and higher
  to avoid scrolling even for more verbose languages (de, fr)
- V 2.10.27
* Wed Sep 22 2004 - visnov@suse.cz
- reinitialize dialog after mode chosen (#45784)
* Tue Sep 21 2004 - arvin@suse.de
- use suse marble in congratulation screen (bug #45712)
* Mon Sep 20 2004 - sh@suse.de
- V 2.10.24
- Merged accidentially split translatable messages
* Fri Sep 17 2004 - sh@suse.de
- V 2.10.23
- Changed final installation confirmation dialog according to
  bug #45279
* Fri Sep 17 2004 - arvin@suse.de
- moved popup with boot message further to the end (bug #45432)
* Thu Sep 16 2004 - snwint@suse.de
- use language info from linuxrc to set LANG in YaST.start; this is
  just to run ncurses yast in fbiterm for exotic languages
* Wed Sep 15 2004 - arvin@suse.de
- fixed back button in internet test dialog (bug #45319)
* Wed Sep 15 2004 - visnov@suse.cz
- initialize proposal heading before creating dialog (#45340)
* Tue Sep 14 2004 - sh@suse.de
- V 2.10.20
- Fixed bug #45271: Mixture of en_UK / en_US: "licence" / "license"
* Tue Sep 14 2004 - mvidner@suse.cz
- Copy the DHCP cache to the right place (#45150).
* Tue Sep 14 2004 - arvin@suse.de
- fixed help text in main proposal (bug #45093)
* Tue Sep 14 2004 - jsrain@suse.cz
- added enable_firewall and firewall_ssh_enable to control file
  for PROF
- added related handlinng to ProductControl
* Mon Sep 13 2004 - jsrain@suse.cz
- set FAM_ONLY_LOCAL and start fam according to default windowmanager
- 2.10.18
* Mon Sep 13 2004 - arvin@suse.de
- added system info entry to update proposal (bug #45096)
* Fri Sep 10 2004 - snwint@suse.de
- use vesa driver as fallback, not vga (see #38253, comment #11)
* Thu Sep 09 2004 - mvidner@suse.cz
- Added a client to test the network and hardware proposals (#44677).
- 2.10.16
* Wed Sep 08 2004 - visnov@suse.cz
- implemented reordering of proposal items
- implemented support for hyperlinks in proposal summaries
* Tue Sep 07 2004 - arvin@suse.de
- added proposal step to initialize sources during update before
  mounting filesystems (needed to solve bug #44724)
* Mon Sep 06 2004 - mvidner@suse.cz
- Copy the DHCP client cache so that we can request the same IP
  (#43974).
- 2.10.14
* Mon Sep 06 2004 - jsrain@suse.cz
- avoid asking to confirm one license multiple times (#44145)
* Fri Sep 03 2004 - arvin@suse.de
- call Bootloader::Update instead of Bootloader::Write during
  update (bug #44286)
* Mon Aug 30 2004 - jsrain@suse.cz
- ask to confirm licenses of packages before installing/updating
  (#44145)
- 2.10.12
* Fri Aug 27 2004 - mvidner@suse.cz
- When showing the address for a VNC installation, don't rely on
  install.inf, print the current IP (#43974).
- 2.10.11
* Fri Aug 27 2004 - arvin@suse.de
- merged proof read messages
* Wed Aug 25 2004 - arvin@suse.de
- avoid tmp file in /tmp (bug #39444)
* Wed Aug 18 2004 - arvin@suse.de
- updated fvwmrc.yast2 (see bug #43796)
* Tue Aug 17 2004 - nashif@suse.de
- XFree86 -> xorg-x11 (#43832)
* Fri Aug 13 2004 - nashif@suse.de
- Fixed update (#43795)
* Wed Aug 11 2004 - nashif@suse.de
- Copy EULA to installed system for later use in firstboot module
* Wed Aug 11 2004 - nashif@suse.de
- Added firewall to network proposal (#43718)
* Tue Aug 10 2004 - nashif@suse.de
- Add default label for proposals
* Tue Aug 10 2004 - mvidner@suse.cz
- Fixed arguments for proposals (`initial)
* Mon Aug 09 2004 - nashif@suse.de
- Enable locking of proposals in control file
- Updated DTD for control file
* Thu Jul 29 2004 - nashif@suse.de
- New variables for ui and language handling added to control file
- Use Linuxrc module for install.inf and yast.inf handling
* Tue Jul 20 2004 - arvin@suse.de
- use capitalized SUSE in congratulation screen (bug #38853)
* Tue Jun 15 2004 - sh@suse.de
- Fixed typo in ssh install script (#42058)
* Tue Jun 15 2004 - sh@suse.de
- Fixed bug #41597: EULA must be scrolled in both dimensions
* Tue Jun 15 2004 - arvin@suse.de
- added Requires for yast2-update (bug #42013)
* Fri Jun 11 2004 - nashif@suse.de
- Added variable software_proposal to control file (NLD)
* Thu Jun 10 2004 - nashif@suse.de
- Added control for NLD
* Tue Jun 08 2004 - nashif@suse.de
- Also install control file for SLES to avoid lots of possible
  confusion when control file is not found on installation media
  and fallback file is used.
  (#41696)
* Tue Jun 08 2004 - nashif@suse.de
- Fixed bug #41696: yast uses elevator=anticipatory instead of
  elevator=as
* Sun May 30 2004 - nashif@suse.de
- Added Services to main control file for translation (#41367)
- 2.9.83
* Thu May 27 2004 - mvidner@suse.cz
- Added variables to ProductFeatures
  so that yast2-nis-client testsuite passes (~#41038).
- 2.9.82
* Thu May 27 2004 - arvin@suse.de
- added special console handling for iSeries (bug #39025)
* Wed May 26 2004 - arvin@suse.de
- set LD_LIBRARY_PATH in 1st stage installation start script
  (bug #40833)
* Tue May 25 2004 - jsrain@suse.cz
- set the I/O scheduler in ProductFeatures (#41038)
- 2.9.79
* Mon May 24 2004 - arvin@suse.de
- again ask for TERM variable if it's set to "vt100" (bug #40991)
* Tue May 18 2004 - arvin@suse.de
- moved fvwmrc.notitle from sax2 here (bug #37480)
* Tue May 11 2004 - lslezak@suse.cz
- don't ask for TERM variable if it's already set to "xterm"
  or "vt100" from linuxrc (don't ask in UML installation) (#39947)
- version 2.9.76
* Tue May 04 2004 - arvin@suse.de
- merged proofread messages
* Fri Apr 30 2004 - arvin@suse.de
- readded vnc remote proposal to SLES workflow (bug #31023)
* Wed Apr 28 2004 - arvin@suse.de
- quick implementation of execution of update.post2 scripts
  (bug #38677)
* Wed Apr 28 2004 - lslezak@suse.cz
- set Ctrl+Alt+Del handler in /etc/inittab to halt (instead of
  reboot) in UML system (safe shutdown from host system using
  uml_mconsole)
- version 2.9.73
* Tue Apr 27 2004 - gs@suse.de
- write Console: entry for p690 hvc console before reading
  /etc/install.inf (bug #39527)
* Tue Apr 27 2004 - arvin@suse.de
- call Pkg::SetAdditionalLocales after language change from
  proposal (bug #38366)
* Mon Apr 26 2004 - arvin@suse.de
- activate lvm and md before booting into a installed system
  (bug #39423)
* Thu Apr 22 2004 - arvin@suse.de
- removed support of starting yast2 installation without keyboard
  (linuxrc always reports a keyboard now) (bug #39235)
* Thu Apr 22 2004 - arvin@suse.de
- run unicode_{start,stop} only if they are present (bug #35714)
* Wed Apr 21 2004 - arvin@suse.de
- uses special sles screen for user authentication on sles
* Mon Apr 19 2004 - lslezak@suse.cz
- UML mode fixes: don't copy mtab to the host (it's not needed),
  find kernel and initrd even when symlinks are missing
  (workaround for bug #39063)
- added help text in UML installation proposal
- version 2.9.64
* Fri Apr 16 2004 - nashif@suse.de
- store variables needed in run-time in a sysconfig like file
- first try to load saved control file before fallback to packaged one.
* Fri Apr 16 2004 - arvin@suse.de
- fixed network start for remote x11 installation (bug #38832)
* Fri Apr 16 2004 - lslezak@suse.cz
- UML mode fixes: don't copy mtab to the host (it's not needed),
  find kernel and initrd even when symlinks are missing
  (workaround for bug #39063)
- added help text in UML installation proposal
* Fri Apr 16 2004 - arvin@suse.de
- removed keyboard proposal from update proposal for the update
  in the running system (bug #37817)
* Fri Apr 16 2004 - arvin@suse.de
- don't run on serial console in case of vnc or ssh installation
  (bug #37325)
* Thu Apr 15 2004 - arvin@suse.de
- add "service" proposal to SLES installation
* Thu Apr 15 2004 - arvin@suse.de
- log fvwm output for vnc installation (bug #30061)
* Wed Apr 07 2004 - arvin@suse.de
- avoid tmp file creation in check.boot script (bug #38572)
* Tue Apr 06 2004 - arvin@suse.de
- use fbiterm for CJK locales if appropriate (bug #37823)
* Tue Apr 06 2004 - nashif@suse.de
- only_update_selected option added to product feature set
- V 2.9.56
* Tue Apr 06 2004 - sh@suse.de
- V 2.9.55
- Fixed bug #36908: Use dynamic fonts based on resolution
* Mon Apr 05 2004 - fehr@suse.de
- load module dm-snapshort at to prevent hangs if LVM contains
  snapshot LVs (#36422)
* Mon Apr 05 2004 - arvin@suse.de
- show correct warning in second stage installation when xserver
  can't be started (bug #38298)
* Mon Apr 05 2004 - arvin@suse.de
- adjusted decision of frontend depending on memory size to memory
  requirements of new interpreter (bug #38298)
- fixed memory value in warning popup
* Sat Apr 03 2004 - arvin@suse.de
- use fbiterm for CJK locales if appropriate (bug #37823)
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Thu Apr 01 2004 - arvin@suse.de
- symmetricalized calls to inst_netsetup (bug #37763)
* Thu Apr 01 2004 - arvin@suse.de
- removed step label for inst_netsetup (bug #37546)
* Wed Mar 31 2004 - nashif@suse.de
- Added 2 options to control file:
  inform_about_suboptimal_distribution
  use_desktop_scheduler
* Wed Mar 31 2004 - lslezak@suse.cz
- inst_finish.ycp - copy kernel image, initrd and /etc/mtab to
  the host system in UML installation mode
* Tue Mar 30 2004 - arvin@suse.de
- disable virtual desktops in fvwm during vnc installation
  (bug #37480)
* Mon Mar 29 2004 - fehr@suse.de
- call Storage::FinishInstall() at end of installation
* Mon Mar 29 2004 - sh@suse.de
- Fixed bug #36713 (relies on yast2-core with fix for bug #36711):
  textdomain for wizard steps should come from control.xml
* Mon Mar 29 2004 - nashif@suse.de
- fixed copying of hook script logs into installed system
* Sun Mar 28 2004 - nashif@suse.de
- fixed hook scrips, now using WFM::Read(.local...) (#36831 )
- Not executing any scripting after last client
- Detecting mode before installation steps are sets (#37070 )
- logging hook output to /var/log/YaST2 and copying those
  file to installed system.
* Thu Mar 25 2004 - sh@suse.de
- Fixed bug #34618: Don't use full-screen if started remotely
* Thu Mar 25 2004 - ms@suse.de
- fixed driver to use on ia64 systems. there is no framebuffer
  available but the vesa driver is working now (#34909)
- fixed possible loop at installation. handle different exit codes
  from testX in scripts/YaST2. The needed changes to testX have
  been made within the sax2 package (#36794)
* Thu Mar 25 2004 - arvin@suse.de
- removed network proposal from update work flow
* Wed Mar 24 2004 - arvin@suse.de
- renamed usbdevfs to usbfs (bug #31869)
* Wed Mar 24 2004 - sh@suse.de
- Fixed bug #36850: Strange texts in y2qt wizard side bar
- V 2.9.42
* Wed Mar 24 2004 - gs@suse.de
- workaround beta3 pre bug: deactivate Hooks::Run
  (causes crash after inst_finish)
- V 2.9.41
* Mon Mar 22 2004 - nashif@suse.de
- Execute features client if variables are set in control file
- V 2.9.40
* Mon Mar 22 2004 - sh@suse.de
- V 2.9.39
- Fixed bug #36292: Wizard steps not translated
- Preliminary fix for bug #36713: Use textdomain from XML file
* Mon Mar 22 2004 - arvin@suse.de
- introduced and handle new variable Installation::scr_destdir
  to be used by Storage (bug #34996)
* Sun Mar 21 2004 - nashif@suse.de
- read/set language/keyboard/timezone
- added client to set product variables before entering proposal
* Fri Mar 19 2004 - arvin@suse.de
- omit skip/don't skip buttons in uml proposal
* Thu Mar 18 2004 - arvin@suse.de
- fixed update work flow setting (bug #36429 and #35007)
* Thu Mar 18 2004 - mvidner@suse.cz
- Fall back to runlevel 3 if we accidentally don't set it
  in the installation proposal. It would be 0 (#35662).
* Wed Mar 17 2004 - nashif@suse.de
- Add runlevel to s390 proposal
- remove x11 from autoinst workflow (handled differently)
* Wed Mar 17 2004 - nashif@suse.de
- update wizard steps at the right spot to enable switching back
  to installation mode
* Tue Mar 16 2004 - kkaempf@suse.de
- run cleanup script for GNOME (#36196)
* Tue Mar 16 2004 - msvec@suse.cz
- added icons to network and hardware proposals
* Tue Mar 16 2004 - fehr@suse.de
- fix typo devmap_mkmod.sh -> devmap_mknod.sh
- 2.9.32
* Tue Mar 16 2004 - nashif@suse.de
- Enabled evms_config in control file
* Tue Mar 16 2004 - nashif@suse.de
- Update steps when switching modes (#35590)
* Mon Mar 15 2004 - arvin@suse.de
- don't ask for terminal type during vnc installation (bug #33534)
* Fri Mar 12 2004 - nashif@suse.de
- Update control file for autoinst
- Enable swittching of steps upon mode change
- Added possibility to disable a workflow step in runtime
* Thu Mar 11 2004 - sh@suse.de
- Fixed bug #34618: Don't use full screen in remote installation
* Wed Mar 10 2004 - arvin@suse.de
- don't warn if only no disk controller can be found (bug #35546)
* Wed Mar 10 2004 - arvin@suse.de
- extended uml installation work flow
* Wed Mar 10 2004 - nashif@suse.de
- Set wizard steps depending on installation mode
* Wed Mar 10 2004 - nashif@suse.de
- removed include dir from spec
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.24
- Migration to new wizard
* Tue Mar 09 2004 - msvec@suse.cz
- replaced X11 version detection code with (simpler) YCP
- package could be noarch currently (reduced NFB a lot)
* Mon Mar 08 2004 - arvin@suse.de
- call more generalized storage function during update
* Fri Mar 05 2004 - arvin@suse.de
- load correct device mapper module and create nodes
* Thu Mar 04 2004 - visnov@suse.cz
- added type info
- 2.9.20
* Wed Mar 03 2004 - nashif@suse.de
- Moved product features to new feature module
* Wed Mar 03 2004 - sh@suse.de
- Applied rw's patch for bug #34531
* Wed Mar 03 2004 - arvin@suse.de
- call storage function to update fstab (bug #34996)
* Tue Mar 02 2004 - sh@suse.de
- Added user-visible workflow step descriptions for new wizard
  layout
* Mon Mar 01 2004 - arvin@suse.de
- work on UML installation
* Fri Feb 27 2004 - nashif@suse.de
- New control file based installation merged
* Fri Feb 20 2004 - arvin@suse.de
- handle abort button in inst_finish (bug #30303)
* Fri Feb 20 2004 - arvin@suse.de
- removed obsolete code from start scripts (bug #31805)
* Mon Feb 16 2004 - mvidner@suse.cz
- set the runlevel according to the proposal
- 2.9.15
* Mon Feb 16 2004 - arvin@suse.de
- added more flexible package handling for products
* Mon Feb 16 2004 - mvidner@suse.cz
- added runlevel_proposal to installation_proposals (#30028)
- 2.9.14
* Mon Feb 16 2004 - arvin@suse.de
- removed obsolete Mode::hardBoot
* Fri Feb 13 2004 - sh@suse.de
- Applied patch from bug #34531: Kernel 2.6 hotplug handling
* Wed Feb 11 2004 - arvin@suse.de
- more control over base selection handling
* Tue Feb 10 2004 - arvin@suse.de
- added type specification in inst_proposal.ycp
* Tue Feb 10 2004 - nashif@suse.de
- remove x11 from workflow for autoyast
* Tue Feb 10 2004 - arvin@suse.de
- fixed building on s390
* Sat Feb 07 2004 - nashif@suse.de
- remove vendor.y2cc file
* Fri Feb 06 2004 - arvin@suse.de
- set default runlevel to 3 or 5 during installation depending
  on the presents of X11 (see bug #32366)
* Fri Feb 06 2004 - arvin@suse.de
- fixed copying of temporary X11 config
* Mon Feb 02 2004 - lslezak@suse.cz
- InitHWinfo module enabled in installation proposal
- version 2.9.4
* Sat Jan 31 2004 - arvin@suse.de
- removed useless 'global'
* Mon Jan 26 2004 - jsrain@suse.de
- removed cfg_susecnfig.scr from file list (was moved to yast2.rpm)
- 2.9.2
* Fri Dec 12 2003 - jsrain@suse.de
- don't check if module is present in initrd before loading it
* Fri Oct 24 2003 - ms@suse.de
- added stuff from yast2/library/x11 to installation package
* Fri Oct 24 2003 - arvin@suse.de
- added help text for "Repair Installed System" (bug #30402)
* Fri Oct 17 2003 - ms@suse.de
- inst_finish: (#32366)
  removed runlevel setup code which is handled within the X11
  module now (XProposal.ycp). The update code for initdefault
  is still present because during update the X11 configuration
  is not started
- inst_x11: (#32366)
  removed dead code which sets the default runlevel to 3 if there
  is no XF86Config file present. This task is done if the X11
  configuration is finished and if there is no X11 configuration
  the default initdefault with aaa_base is set to 3 already
* Wed Sep 24 2003 - snwint@suse.de
- look for x11 drivers in lib64 dir on x86_64 (#31649)
* Thu Sep 18 2003 - arvin@suse.de
- shut down temporary network before online test during update
  (bug #31030)
* Thu Sep 18 2003 - arvin@suse.de
- don't use external pcmcia during firstboot (bug #31252)
* Mon Sep 15 2003 - msvec@suse.cz
- 2.8.34
* Mon Sep 15 2003 - gs@suse.de
- YaST2.start: set default value for LANGUAGE
* Mon Sep 15 2003 - arvin@suse.de
- skip network probing during update (bug #30545)
* Sun Sep 14 2003 - arvin@suse.de
- reset packagemanager when changing installation mode (bug #27970)
* Sun Sep 14 2003 - snwint@suse.de
- added test for utf8 serial console to YaST2.{start,firstboot}
* Sat Sep 13 2003 - nashif@suse.de
- remove inst_startup from autoinst workflow, add it autoinst_init
  (bug #30678)
* Fri Sep 12 2003 - ms@suse.de
- added milestone texts for X11 config update/inject (#30612)
- fixed lookup path for XFree86 3.x config (#30612)
* Fri Sep 12 2003 - arvin@suse.de
- fixed permissions of /var/lib/YaST2/install.inf (bug #30630)
* Thu Sep 11 2003 - kkaempf@suse.de
- use kernel k_smp4G on SMP-systems with
  memory <= 4GB or without PAE support
* Thu Sep 11 2003 - arvin@suse.de
- check for /proc/splash (bug #30472)
* Wed Sep 10 2003 - sh@suse.de
- Fixed max log file size calculation:
  Set LANG only in subshell,
  don't rely on /dev in 'df' output - use last line instead
* Tue Sep 09 2003 - kkaempf@suse.de
- use kernel k_psmp on smp-systems with
  less than 4GB memory or without PAE support
* Tue Sep 09 2003 - arvin@suse.de
- added kernel option desktop
* Mon Sep 08 2003 - sh@suse.de
- V 2.8.24
- Fixed bug #29927: Logfile setting too restrictive
  Now checking free space on RAM disk with 'df' and using
  max 10%% of that per log file (max 5000)
* Mon Sep 08 2003 - snwint@suse.de
- advance splash progress bar in YaST2{,.start}
- driver updates are applied in inst_setup (used to be in YaST2.start)
- don't clear screen in YaST2.start
* Thu Sep 04 2003 - arvin@suse.de
- proof-read messages
* Wed Sep 03 2003 - gs@suse.de
- installation.ycp: call UI::SetKeyboard in continue mode
  (enable unicode for ncurses in UTF-8 locale)
* Wed Sep 03 2003 - kkaempf@suse.de
- copy XF86Config from inst-sys to XF86Config.install in
  the system (#29910)
* Tue Sep 02 2003 - kkaempf@suse.de
- make repair system accessible
* Mon Sep 01 2003 - arvin@suse.de
- removed obsolete inst_hw_config.ycp and inst_confirm_abort.ycp
* Sun Aug 31 2003 - arvin@suse.de
- use Popup::ConfirmAbort
* Sat Aug 30 2003 - arvin@suse.de
- moved reactivation of network to yast2-network (bug #29561)
- moved display of into.txt into separate file
* Thu Aug 28 2003 - ms@suse.de
- fixed xmigrate call (#29535)
* Thu Aug 28 2003 - kkaempf@suse.de
- Install default kernel on SMP systems without 'PAE'
  (i.e. Pentium1-SMP)
- Drop check for unsupported Cyrix-CPUs without 'TSC'
* Tue Aug 26 2003 - arvin@suse.de
- don't gray out next button in proposal in case of blockers
  (bug #29320)
* Fri Aug 22 2003 - arvin@suse.de
- fixed reading of memory info (bug #29017)
* Fri Aug 22 2003 - arvin@suse.de
- fixed update workflow
* Thu Aug 21 2003 - arvin@suse.de
- removed obsolete installation_ui.ycp
* Thu Aug 21 2003 - kkaempf@suse.de
- copy badlist (if existing) to installed system (#29092)
* Tue Aug 19 2003 - arvin@suse.de
- better way for mouse probing in text mode (bug #29005)
* Mon Aug 18 2003 - arvin@suse.de
- don't probe mouse in text mode (bug #29005)
* Fri Aug 15 2003 - arvin@suse.de
- removed obsolete showlog_defines.ycp
* Tue Aug 12 2003 - arvin@suse.de
- added remote administration proposal to network proposal
* Tue Aug 12 2003 - gs@suse.de
- YaST2.start: don't run in UTF-8 mode on a console which is
  connected to a serial port
* Mon Aug 11 2003 - arvin@suse.de
- use ycp based ncurses menu at end of installation
* Fri Aug 08 2003 - arvin@suse.de
- variable handling of release notes url
* Wed Aug 06 2003 - arvin@suse.de
- don't copy kernel config from to /usr/src/linux (bug #28496)
* Fri Aug 01 2003 - arvin@suse.de
- call inst_netprobe during install
- added desktop files
* Wed Jul 30 2003 - arvin@suse.de
- don't complain when no storage controllers can be found
  (bug #23686)
* Wed Jul 30 2003 - arvin@suse.de
- always let YaST run in an UTF-8 environment during installation
  (bug #14751)
* Fri Jul 25 2003 - arvin@suse.de
- removed handling of XFree86 Version 3 from YaST2.start
* Fri Jul 25 2003 - gs@suse.de
- YaST2.firstboot: read RC_LANG from /etc/sysconfig/language and
  export LANG accordingly;
  call unicode_start/unicode_stop (if required)
* Thu Jul 24 2003 - gs@suse.de
- YaST2.start: call unicode_start/unicode_stop;
  export YAST_DOES_ACS removed
* Fri Jul 04 2003 - arvin@suse.de
- convert update workflow into a proposal
* Fri May 23 2003 - arvin@suse.de
- take kernel command line from install.inf (bug #25745)
* Mon Apr 28 2003 - arvin@suse.de
- fixes for live eval (bug #26457)
* Wed Apr 23 2003 - ms@suse.de
- add config migration from 3x to 4x if possible
- ensure XF86Config is available if someone performs an update
  within a XFree86 3.x environment
* Tue Apr 15 2003 - arvin@suse.de
- removed call of SuSEconfig.3ddiag and switch2mesasoft after
  reboot during installation since they don't exist anymore
* Thu Apr 10 2003 - ms@suse.de
- fixed conditions of xmset calls (#26214)
* Tue Apr 08 2003 - jsrain@suse.de
- fixed parsing of kernel parameters containing blank space
  (#26147)
* Tue Apr 01 2003 - jsrain@suse.de
- added init= kernel parameter to discard list (#25478)
* Tue Mar 18 2003 - kkaempf@suse.de
- drop "insserv apache" again, opens port 80
- 2.7.43
* Mon Mar 17 2003 - kkaempf@suse.de
- "insserv apache" if it's DOC_SERVER (#25436)
- 2.7.42
* Mon Mar 17 2003 - arvin@suse.de
- start fvwm2 for vnc installation (bug #25405)
* Mon Mar 17 2003 - arvin@suse.de
- turn of silent splash mode before displaying messages during
  vnc and ssh installation (bug #25407)
* Mon Mar 17 2003 - kkaempf@suse.de
- start apache as doc_server if suse_help_viewer isn't provided
  by kdebase3-SuSE (25436)
- 2.7.39
* Sat Mar 15 2003 - kkaempf@suse.de
- gdm2 might not be installed yet but earmarked for installation
  (#25410)
- 2.7.38
* Fri Mar 14 2003 - sh@suse.de
- The final and super-great ultimate path for release notes:
  /usr/share/doc/release-notes/RELEASE-NOTES.*.rtf
* Fri Mar 14 2003 - sh@suse.de
- Moved RTF version of release notes from /usr/share/doc to
  /usr/share/doc/release_notes
* Fri Mar 14 2003 - sh@suse.de
- Using file name RELEASE_NOTES.rtf to allow coexistence with
  RELEASE_NOTES.html for Konqueror
* Fri Mar 14 2003 - fehr@suse.de
- remove handling of IDE recorders from inst_finish.ycp
  this is now done much sooner in StorageDevices.ycp (bug #25293)
* Wed Mar 12 2003 - arvin@suse.de
- fixed focus in last installation dialog (bug #25171)
* Wed Mar 12 2003 - ms@suse.de
- fixed broken mouse bug in continue mode (#24914)
* Tue Mar 11 2003 - kkaempf@suse.de
- also set /etc/sysconfig/displaymanager:DISPLAYMANAGER (#25087)
* Mon Mar 10 2003 - kkaempf@suse.de
- check for existance of /usr/src/linux/include/linux before
  copying kernel config.
- 2.7.32
* Mon Mar 10 2003 - mvidner@suse.de
- Added .etc.install_inf_alias to work around an ini-agent
  limitation (#24836).
- 2.7.31
* Mon Mar 10 2003 - arvin@suse.de
- fixed compose characters for certain locales (bug #14751)
* Fri Mar 07 2003 - nashif@suse.de
- Dont read product data from installed system if in config mode
  (#24772 )
* Fri Mar 07 2003 - kkaempf@suse.de
- copy kernel config to /usr/src/linux/... (#24835)
* Thu Mar 06 2003 - fehr@suse.de
- umount fs based on crypto loop files before all other umounts
  (#24751)
* Thu Mar 06 2003 - ms@suse.de
- removed mouse probing code from inst_startup.ycp and put
  that code into installation.ycp. Changed the mouse probing
  code to disconnect the device in front of the probing and
  re-connect it after the probing is done to avoid any
  jumping mouse cursors (#24355)
* Tue Mar 04 2003 - arvin@suse.de
- handle flags from content file in Product module (bug #21561)
* Tue Mar 04 2003 - sh@suse.de
- Fixed bug #24542: Bad license agreement button text
* Mon Mar 03 2003 - sh@suse.de
- Fixed bug #10990: Boot installed system does not unmount
* Mon Mar 03 2003 - fehr@suse.de
- call win resize module not only on i386 but also on x86_64 and ia64
* Thu Feb 27 2003 - arvin@suse.de
- kill (with SIGKILL) shell on tty2 after installation (bug #24404)
* Wed Feb 26 2003 - kkaempf@suse.de
- pass language to packagemanager (#23828)
* Wed Feb 26 2003 - arvin@suse.de
- disable all sources if user aborts installation (bug #24292)
* Tue Feb 25 2003 - arvin@suse.de
- make Hardware Configuration Dialog unconfuseable (bug #24020)
* Mon Feb 24 2003 - kkaempf@suse.de
- add debug hooks (#23787)
* Mon Feb 24 2003 - sh@suse.de
- V 2.7.20
- Fixed bug #24038: Installation language re-selection does not work
* Mon Feb 24 2003 - gs@suse.de
- don't add .UTF-8 to LANG variable (causes problems with ncurses)
  bug #23348
* Mon Feb 24 2003 - mvidner@suse.de
- Added proxy to the network configuration proposal (#24204).
* Fri Feb 21 2003 - arvin@suse.de
- better text for "abort installation" popup (bug #24019)
* Fri Feb 21 2003 - arvin@suse.de
- fixed button labels and help texts (bug #23912)
* Fri Feb 21 2003 - sh@suse.de
- Fixed bug #24027: Root exploit in inst_suseconfig
* Fri Feb 21 2003 - arvin@suse.de
- always do hard reboot (bug #23903)
* Thu Feb 20 2003 - kkaempf@suse.de
- drop /etc/XF86Config (#23965)
* Thu Feb 20 2003 - arvin@suse.de
- use title-style capitalization for menu names (bug #23848)
* Thu Feb 20 2003 - ms@suse.de
- add support for mouse wheel during installation (#21660)
* Wed Feb 19 2003 - arvin@suse.de
- disable all sources if user aborts installation (bug #23776)
* Wed Feb 19 2003 - fehr@suse.de
- fix wrong variable of keyboard module in inst_finish.ycp (#23782)
* Wed Feb 19 2003 - arvin@suse.de
- run SuSEconfig fonts during inst_finish for anti aliased fonts
  (bug #23768)
* Tue Feb 18 2003 - arvin@suse.de
- fixed reading of content file if FLAGS line is missing
* Sat Feb 15 2003 - nashif@suse.de
- call inst_x11 in autoinst mode
* Wed Feb 12 2003 - kkaempf@suse.de
- remove call to mkinfodir (#23588)
* Wed Feb 12 2003 - fehr@suse.de
- Write keytable info to yast.inf again in inst_finish.ycp
* Tue Feb 11 2003 - arvin@suse.de
- handle update flag from content file (bug #21561)
* Mon Feb 10 2003 - arvin@suse.de
- setup complete environment for qt during installation
* Mon Feb 10 2003 - arvin@suse.de
- skip proposal dialog if it's empty (bug #23520)
* Fri Feb 07 2003 - jsuchome@suse.de
- adapted inst_confirm_abort for the use from yast2-repair
* Thu Feb 06 2003 - jsrain@suse.de
- removed missleading help text about starting of network during
  hardware proposal, when network has already been started (#20912)
* Wed Feb 05 2003 - arvin@suse.de
- merged proofread messages
* Mon Feb 03 2003 - sh@suse.de
- V 2.7.7
- Added default function key handling
* Thu Jan 30 2003 - kkaempf@suse.de
- call /usr/bin/mkinfodir in inst_suseconfig
  (replaces SuSEconfig.man_info)
* Wed Jan 29 2003 - arvin@suse.de
- added dialog to ask for preferred method of user authentication
* Tue Jan 28 2003 - arvin@suse.de
- added final congratulations dialog
- added dialog with release notes
* Mon Jan 27 2003 - sh@suse.de
- V 2.7.5
- Use new y2base/qt command line options for better WM cooperation
- Don't start a WM any more in YaST2 start script
  (testX does that now)
* Wed Jan 22 2003 - arvin@suse.de
- use newer interface to modules agent (bug #22995)
* Wed Jan 22 2003 - jsrain@suse.de
- returned accidentally removed call of Bootloader::Write ()
  function (bug #23018)
- 2.7.3
* Fri Dec 20 2002 - arvin@suse.de
- changed label of second button of popup with info.txt (EULA)
  from "Cancel" to "Do Not Accept" (bug #21874)
* Fri Dec 20 2002 - arvin@suse.de
- merged from 8.1 branch:
  - only set hostname during vnc installation if necessary
  (bug #21454)
  - popup with info.txt (EULA) now has a timeout during
  autoinstallation (bug #21413)
  - remove /root/.vnc/passwd after installation (bug #21360)
  - popup with info.txt now has two buttons (accept and cancel)
  - start portmapper if instmode==nfs also on s390 (#21094)
* Thu Dec 12 2002 - jsrain@suse.de
- added handling of modules required to be loaded early after
  mounting root
- not adding ide-scsi to initrd, but scheduling relevant modules
  to be loaded after boot (#19376)
* Wed Dec 11 2002 - lslezak@suse.cz
- .proc.cpuinfo agent rewritten to INI-agent (now supports
  multiple CPU, all keys from /proc/cpuinfo can be read)
* Mon Dec 09 2002 - arvin@suse.de
- add modules ide-cd and cdrom before ide-scsi to INITRD_MODULES
  when an ide cdwriter is found (bug #22343)
* Wed Dec 04 2002 - jsrain@suse.cz
- adapted to new bootloader module interface
- 2.7.1
* Tue Oct 22 2002 - ms@suse.de
- removed inst_x11 to be part of the installation workflow
- add x11_proposal to:
  hw-config-proposals-home-pc.ycp
  hw-config-proposals-networked-pc.ycp
* Wed Oct 16 2002 - arvin@suse.de
- correctly handle quotes in /etc/install.inf (bug #20986)
* Wed Oct 16 2002 - kkaempf@suse.de
- use proper tmpdir for vendor-supplied script when loading
  vendor driver disk (#20967)
- 2.6.87
* Tue Oct 15 2002 - choeger@suse.de
- renamed product id text from "Open Team Server" to "Openexchange Server",
  because this text is shown into the installation window and the name of
  the cd is associated with this name
* Mon Oct 14 2002 - sh@suse.de
- V 2.6.85
- Fixed bug #19214: Return to proposal after update
* Mon Oct 14 2002 - kkaempf@suse.de
- use "UpdateDir" from install.inf when checking vendor
  update media (#19442)
- set /sysconfig/suseconfig/CWD_IN_USER_PATH="no" on non-box
  products (#17464)
- 2.6.84
* Mon Oct 14 2002 - sh@suse.de
- V 2.6.83
- Fixed bug #19628: Obsolete MediaUI::ChangeMedium() call
* Thu Oct 10 2002 - arvin@suse.de
- make info text (aka beta warning) scroll-able (bug #20063)
* Wed Oct 09 2002 - jsrain@suse.cz
- now not enabling 2 gettys on same serial line on p690 (#19788)
* Tue Oct 08 2002 - kkaempf@suse.de
- disable update for non-box products (#20695)
- 2.6.80
* Mon Oct 07 2002 - kkaempf@suse.de
- display media.1/info.txt if exists before starting installation
  (#18504)
* Tue Oct 01 2002 - kkaempf@suse.de
- runlevel 5 only where applicable (#20369)
* Thu Sep 26 2002 - arvin@suse.de
- remove console kernel option if it's autodectected like
  pseries can do (bug #20177)
* Thu Sep 26 2002 - choeger@suse.de
- call product specific YaST2 modules before finishing the
  installation
* Tue Sep 24 2002 - arvin@suse.de
- run depmod after network setup for ssh and vnc installation
  (bug #20040)
* Mon Sep 23 2002 - arvin@suse.de
- again fix for qt background color (bug #18926)
* Fri Sep 20 2002 - arvin@suse.de
- in final proposal screen hide button to start control center if
  the control center is not available (bug #19926)
* Fri Sep 20 2002 - kkaempf@suse.de
- re-init Product module in running system from cached
  product data properly
- 2.6.72
* Fri Sep 20 2002 - kkaempf@suse.de
- initialize Product module from content data
- 2.6.71
* Fri Sep 20 2002 - kkaempf@suse.de
- add agent to read "/content" file
- 2.6.69
* Fri Sep 20 2002 - kkaempf@suse.de
- linuxrc provides 'content' at / now, no need to mount the source.
- 2.6.70
* Fri Sep 20 2002 - kkaempf@suse.de
- force reboot on s390 after installation
- 2.6.69
* Thu Sep 19 2002 - kkaempf@suse.de
- umount /var/adm/mount after retrieving content file
- 2.6.68
* Wed Sep 18 2002 - kkaempf@suse.de
- added product hooks to installation workflow
- 2.6.67
* Wed Sep 18 2002 - arvin@suse.de
- removed all code regarding zilo (bug #19821)
- fixed qt background color (bug #18926)
* Wed Sep 18 2002 - arvin@suse.de
- provides/obsoletes the old yast
* Mon Sep 16 2002 - kkaempf@suse.de
- remove unneeded Save() functions (#19591)
* Thu Sep 12 2002 - fehr@suse.de
- remove obsolete LVM and MD initialisation in inst_mode.ycp
- 2.6.63
* Thu Sep 12 2002 - kkaempf@suse.de
- remove control files (#19564)
- 2.6.62
* Thu Sep 12 2002 - kkaempf@suse.de
- fix vendor path for UnitedLinux (#19442)
- 2.6.61
* Thu Sep 12 2002 - kkaempf@suse.de
- dont warn about kernel if not in update mode.
- 2.6.60
* Thu Sep 12 2002 - kkaempf@suse.de
- symlink *.shipped to *.suse on update for LILO compatibility
- 2.6.59
* Wed Sep 11 2002 - kkaempf@suse.de
- properly unmount sources also on abort and end of update
- move package log to yast2-packager
- handle run-time kernel switch extra
- 2.6.58
* Wed Sep 11 2002 - kkaempf@suse.de
- remove obsolete package data after update
- release source (CD) and target (rpmdb)
- 2.6.57
* Tue Sep 10 2002 - arvin@suse.de
- added more provides/obsoletes (bug #19325)
* Tue Sep 10 2002 - arvin@suse.de
- again fix initial language
* Mon Sep 09 2002 - kkaempf@suse.de
- fix initial language
- 2.6.54
* Mon Sep 09 2002 - arvin@suse.de
- run ncurses control center after installation (instead of ycp
  based one) (bug #19246)
* Mon Sep 09 2002 - kkaempf@suse.de
- drop "noarch"
- 2.6.53
* Mon Sep 09 2002 - arvin@suse.de
- setup proxy configuration for installation (bug #19189)
* Mon Sep 09 2002 - kkaempf@suse.de
- remove runme_at_boot at end
- 2.6.51
* Fri Sep 06 2002 - kkaempf@suse.de
- s390'ers want it different -> k_deflt on smp systems (#18990)
- 2.6.50
* Fri Sep 06 2002 - kkaempf@suse.de
- properly detect update_mode after restart
- 2.6.49
* Thu Sep 05 2002 - kkaempf@suse.de
- continue with inst_rpmcopy after update
- 2.6.48
* Thu Sep 05 2002 - arvin@suse.de
- more old trans-package fun
* Thu Sep 05 2002 - arvin@suse.de
- always run depmod after installation (bug #18382)
- set HOME=/root during installation (bug #18882)
* Wed Sep 04 2002 - kkaempf@suse.de
- move update branch to yast2-update (#18876)
- 2.6.45
* Wed Sep 04 2002 - arvin@suse.de
- fixed provide/obsolete of trans packages (bug #18691)
* Tue Sep 03 2002 - kkaempf@suse.de
- adapt update workflow to package manager
- 2.6.41
* Mon Sep 02 2002 - arvin@suse.de
- set default runlevel back to 3 if X11 is not configured
  (bug #18705)
* Mon Sep 02 2002 - arvin@suse.de
- set HOME=/tmp during installation so qt doesn't pollute root
  filesystem (bug #18663)
* Fri Aug 30 2002 - arvin@suse.de
- hide output of kill in YaST2.firstboot (bug #18585)
- moved X11Version.ycp to yast2 package
* Thu Aug 29 2002 - arvin@suse.de
- fixed network start for ssh installation (bug #18506)
- fixed password saving for ssh installation (bug #18507)
- start in textmode for ssh installation (bug #18571)
* Thu Aug 29 2002 - kkaempf@suse.de
- close source in inst_finish (#18508)
* Wed Aug 28 2002 - kkaempf@suse.de
- trigger cache copying at end
- 2.6.35
* Tue Aug 27 2002 - kkaempf@suse.de
- init packagemanager properly
- drop all references to old data (suse/setup/descr/info)
* Tue Aug 27 2002 - arvin@suse.de
- load firewire support during installation (bug #18379)
- create_interfaces has moved from / to /sbin
* Tue Aug 27 2002 - arvin@suse.de
- fixes for ssh installation
* Mon Aug 26 2002 - arvin@suse.de
- don't run x11 configuration if x11 is missing (bug #18208)
* Mon Aug 26 2002 - kkaempf@suse.de
- ignore even more boot options (#18154)
* Thu Aug 22 2002 - fehr@suse.de
- call /sbin/vgscan if root filesystem is on LVM before calling
  Boot::Save() (#18180)
* Thu Aug 22 2002 - arvin@suse.de
- use the same workflow on s390 as on other architectures
* Thu Aug 22 2002 - kkaempf@suse.de
- drop "ht" flag probing, done in libhd now (#13532).
* Thu Aug 22 2002 - kkaempf@suse.de
- run "SuSEconfig --module bootsplash" before bootloader
  V 2.6.29
* Thu Aug 22 2002 - kkaempf@suse.de
- selected packages are also provided after installation
  V 2.6.28
* Thu Aug 22 2002 - kkaempf@suse.de
- dont use .package agent in inst_finish
  V 2.6.27
* Wed Aug 21 2002 - kkaempf@suse.de
- fix for build
  V 2.6.26
* Wed Aug 21 2002 - kkaempf@suse.de
- adaptions to new packager
- V 2.6.25
* Tue Aug 20 2002 - arvin@suse.de
- use new Mode::x11_setup_needed and Arch::x11_setup_needed
* Tue Aug 20 2002 - arvin@suse.de
- don't probe for mouse, floppy and usb devices on iseries
* Mon Aug 19 2002 - olh@suse.de
- implemented starting of ssh in installed system (needed for
  some kinds of remote installation)
* Mon Aug 19 2002 - arvin@suse.de
- don't probe for mouse, floppy and usb devices on s390
* Mon Aug 19 2002 - arvin@suse.de
- don't run X11 configuration on S390 (bug #17371)
* Mon Aug 19 2002 - kkaempf@suse.de
- Moving target by ppc team. One bit more entered to #17739.
* Fri Aug 16 2002 - kkaempf@suse.de
- drop BOOT_IMAGE=apic evaluation. enableapic is passed
  as normal kernel parameter to k_deflt now.
- add "SuSE" to list of kernel parameters to discard.
* Thu Aug 15 2002 - kkaempf@suse.de
- linuxrc doesn't reboot on PCMCIA systems any more (#17739)
* Wed Aug 14 2002 - arvin@suse.de
- added special hardware configuration list for ppc64 and s390
  (bug #17742)
* Wed Aug 14 2002 - kkaempf@suse.de
- fix NoShell: check (#17714)
* Mon Aug 12 2002 - kkaempf@suse.de
- fix network parameters passing from /etc/install.inf
- install k_athlon if vendor_id == "AuthenticAMD"  && cpu family >= 6
- drop "acpismp=force" for hyperthreading SMP
* Mon Aug 12 2002 - kkaempf@suse.de
- read /etc/install.inf:InstMode correctly
* Thu Aug 08 2002 - kkaempf@suse.de
- honor "/etc/install.inf:NoShell" to suppress extra shell on tty2.
* Wed Aug 07 2002 - kkaempf@suse.de
- allow for multiple foreign primary partitions (#17458)
* Wed Aug 07 2002 - arvin@suse.de
- removed access to variable DEFAULT_LANGUAGE in YaST2 start
  script (now only RC_LANG is unsed)
* Tue Aug 06 2002 - arvin@suse.de
- don't start vnc server twice after reboot during installation
  (bug #17415)
* Mon Aug 05 2002 - arvin@suse.de
- even more changed for new /etc/install.inf agent
* Mon Aug 05 2002 - ms@suse.de
- do not call module x11 if serial_console or vnc session
  is active: (#17233)
* Mon Aug 05 2002 - kkaempf@suse.de
- call "/create_interface <destdir>" on S/390 in order to get network
  setup data to installed system.
* Mon Aug 05 2002 - arvin@suse.de
- further changed for new /etc/install.inf agent
* Sat Aug 03 2002 - arvin@suse.de
- removed option -noxim for qt frontend since bug #17161 is now
  solved by changes to yast2-qt
* Fri Aug 02 2002 - arvin@suse.de
- run qt frontend with option -noxim (bug #17161)
- configure only network card on iSeries
* Fri Aug 02 2002 - olh@suse.de
- export Y2DEBUG and increase logsize in YaST2.firstboot when
  booted with 'debug'
* Wed Jul 31 2002 - msvec@suse.cz
- remove MakeCDLinks from inst_finish.ycp (#17309)
- new agent for /etc/install.inf
* Mon Jul 29 2002 - arvin@suse.de
- fixed return value in inst_x11.ycp
* Fri Jul 26 2002 - ms@suse.de
- add subdirectory x11 and include the base modules
  X11Version and inst_x11 to be present at any time
* Tue Jul 23 2002 - olh@suse.de
- new kernel names and binaries for ppc.
* Tue Jul 23 2002 - olh@suse.de
- add -httpd /usr/share/vnc/classes to inst_setup_vnc
* Sat Jul 20 2002 - olh@suse.de
- use WFM::Execute (.local to copy vnc data to target directory
* Fri Jul 19 2002 - fehr@suse.de
- removed writing of /etc/fstab from inst_finish it is now in
  inst_prepdisk
- version 2.6.5
* Thu Jul 18 2002 - fehr@suse.de
- moved variable immediate_prepdisk from module Installation to
  module Storage.
* Wed Jul 17 2002 - arvin@suse.de
- fixed S390 reboot message (bug #17049)
* Tue Jul 16 2002 - sh@suse.de
- provide/obsolete yast2-trans-inst-proposal and
  yast2-trans-inst-general
* Wed Jul 10 2002 - arvin@suse.de
- omit keyboard, mouse and bootloader in initial proposal on s390
- fixed location of ycp data files
* Thu Jul 04 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Mon Jun 24 2002 - kkaempf@suse.de
- New package: split off purely installation related code
  from yast2.rpm
